=== modified file 'NEWS'
--- NEWS	2010-08-13 20:50:53 +0000
+++ NEWS	2011-03-02 15:24:46 +0000
@@ -1,8 +1,43 @@
-0.100.0	UNRELEASED
+0.101.0	UNRELEASED
+
+0.100.0	2011-03-02
+
+ BUG FIXES
+
+  * make sure that gdiff opened from gannotate knows its parent
+    (gannotate, that is, and does not exit when it (gdiff) is closed.
+
+  * Clarify 'visualise' help about the multiple branches feature
+    and the --revision parameter. (Vincent Ladeuil, #556347)
+
+  * Mark as compatible with bzr 2.3. (Jelmer Vernooij)
+
+  * Fix appindicator icon category. (Michael Terry, #685634)
+
+  * Mark as compatible with Bazaar 2.4. (Jelmer Vernooij)
+
+  * "bzr viz" now shows authors instead of committers. (Jelmer Vernooij, #693949)
+
+  * Don't use markup for secondary text in error dialogs.
+    (Edward Ari Bichetero, #656641)
+
+  * Generate pickles file when running 'setup.py sdist'. (Jelmer Vernooij, #397526)
+
+ FEATURES
+ 
+  * Add lock dialog. (Daniel Schierbeck, #93652)
+
+0.99.1	2010-08-26
+
+ BUG FIXES
+
+  * Trivial release to include credits pickle file.
+
+   * Mark as compatible with Bazaar 2.3. (Vincent Ladeuil)
 
 0.99.0 2010-08-13
 
-BUG FIXES
+ BUG FIXES
 
    * Guard setup() call when not loaded as __main__. (Robert Collins)
 

=== modified file '__init__.py'
--- __init__.py	2010-08-13 20:50:53 +0000
+++ __init__.py	2011-01-31 10:19:52 +0000
@@ -15,22 +15,22 @@
 """Graphical support for Bazaar using GTK.
 
 This plugin includes:
-gannotate         GTK+ annotate. 
-gbranch           GTK+ branching. 
-gcheckout         GTK+ checkout. 
+gannotate         GTK+ annotate.
+gbranch           GTK+ branching.
+gcheckout         GTK+ checkout.
 gcommit           GTK+ commit dialog.
-gconflicts        GTK+ conflicts. 
-gdiff             Show differences in working tree in a GTK+ Window. 
+gconflicts        GTK+ conflicts.
+gdiff             Show differences in working tree in a GTK+ Window.
 ginit             Initialise a new branch.
 gloom             GTK+ loom browse dialog
 gmerge            GTK+ merge dialog
-gmissing          GTK+ missing revisions dialog. 
-gpreferences      GTK+ preferences dialog. 
+gmissing          GTK+ missing revisions dialog.
+gpreferences      GTK+ preferences dialog.
 gpush             GTK+ push.
 gsend             GTK+ send merge directive.
 gstatus           GTK+ status dialog.
 gtags             Manage branch tags.
-visualise         Graphically visualise this branch. 
+visualise         Graphically visualise this branch.
 """
 
 import os
@@ -109,17 +109,6 @@
     return data_path(os.path.join('icons', *args))
 
 
-def open_display():
-    pygtk = import_pygtk()
-    try:
-        import gtk
-    except RuntimeError, e:
-        if str(e) == "could not open display":
-            raise NoDisplayError
-    set_ui_factory()
-    return gtk
-
-
 commands = {
     "gannotate": ["gblame", "gpraise"],
     "gbranch": [],
@@ -132,7 +121,6 @@
     "gmissing": [],
     "gpreferences": [],
     "gpush": [],
-    "gselftest": [],
     "gsend": [],
     "gstatus": ["gst"],
     "gtags": [],
@@ -158,13 +146,6 @@
                                        save_commit_messages,
                                        "Saving commit messages for gcommit")
 
-class NoDisplayError(errors.BzrCommandError):
-    """gtk could not find a proper display"""
-
-    def __str__(self):
-        return "No DISPLAY. Unable to run GTK+ application."
-
-
 credential_store_registry = getattr(config, "credential_store_registry", None)
 if credential_store_registry is not None:
     try:

=== modified file 'about.py'
--- about.py	2008-07-18 20:12:54 +0000
+++ about.py	2010-12-17 22:48:28 +0000
@@ -23,9 +23,6 @@
 import bzrlib
 import gtk
 import os
-from bzrlib.branch import Branch
-from bzrlib.errors import NotBranchError, NoRepositoryPresent
-from bzrlib.trace import mutter
 
 from bzrlib.plugins.gtk import data_path, icon_path
 

=== modified file 'annotate/colormap.py'
--- annotate/colormap.py	2007-08-16 14:31:02 +0000
+++ annotate/colormap.py	2011-02-18 13:01:03 +0000
@@ -13,6 +13,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
 import sys
 
 class AnnotateColorMap:

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2010-05-27 02:28:54 +0000
+++ annotate/gannotate.py	2011-02-18 13:01:03 +0000
@@ -23,11 +23,11 @@
 import pango
 import re
 
-from bzrlib import patiencediff, tsort
+from bzrlib import patiencediff
 from bzrlib.errors import NoSuchRevision
 from bzrlib.revision import NULL_REVISION, CURRENT_REVISION
 
-from colormap import AnnotateColorMap, AnnotateColorSaturation
+from colormap import AnnotateColorSaturation
 from bzrlib.plugins.gtk.revisionview import RevisionView
 from bzrlib.plugins.gtk.window import Window
 
@@ -49,9 +49,9 @@
         self.all = all
         self.plain = plain
         self._branch = branch
-        
+
         Window.__init__(self, parent)
-        
+
         self.set_icon(self.render_icon(gtk.STOCK_FIND, gtk.ICON_SIZE_BUTTON))
         self.annotate_colormap = AnnotateColorSaturation()
 
@@ -68,15 +68,15 @@
         self.revisionview.set_file_id(file_id)
         self.revision_id = getattr(tree, 'get_revision_id', 
                                    lambda: CURRENT_REVISION)()
-        
+
         # [revision id, line number, author, revno, highlight color, line]
         self.annomodel = gtk.ListStore(gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING,
+                                       gobject.TYPE_INT,
                                        gobject.TYPE_STRING,
                                        gobject.TYPE_STRING,
                                        gobject.TYPE_STRING,
                                        gobject.TYPE_STRING)
-        
+
         last_seen = None
         try:
             branch.lock_read()
@@ -86,7 +86,7 @@
             for revision_id, revno in revno_map.iteritems():
                 self.dotted[revision_id] = '.'.join(str(num) for num in revno)
             for line_no, (revision, revno, line)\
-                    in enumerate(self._annotate(tree, file_id)):
+                in enumerate(self._annotate(tree, file_id)):
                 if revision.revision_id == last_seen and not self.all:
                     revno = author = ""
                 else:
@@ -102,7 +102,7 @@
                                        revno,
                                        None,
                                        line.rstrip("\r\n")
-                                      ])
+                                       ])
                 self.annotations.append(revision)
 
             if not self.plain:
@@ -125,7 +125,7 @@
             # bar?
             print("gannotate: Line number %d does't exist. Defaulting to "
                   "line 1." % lineno)
-	    return
+            return
         else:
             row = lineno - 1
 
@@ -218,7 +218,7 @@
         hbox.pack_start(self.goto_button, expand=False, fill=True)
         hbox.show()
         vbox.pack_start(hbox, expand=False, fill=True)
-        
+
         self.pane = pane = gtk.VPaned()
         pane.add1(swbox)
         pane.add2(self.revisionview)
@@ -260,7 +260,7 @@
             else:
                 tree2 = repository.revision_tree(NULL_REVISION)
         from bzrlib.plugins.gtk.diff import DiffWindow
-        window = DiffWindow()
+        window = DiffWindow(self)
         window.set_diff("Diff for line %d" % (row+1), tree1, tree2)
         window.set_file(tree1.id2path(self.file_id))
         window.show()
@@ -532,18 +532,22 @@
 
     def _match(self, model, iterator, column):
         matching_case = self._match_case.get_active()
-        string, = model.get(iterator, column)
+        cell_value, = model.get(iterator, column)
         key = self._entry.get_text()
-        if self._regexp.get_active():
+        if column == LINE_NUM_COL:
+            # FIXME: For goto-line there are faster algorithms than searching 
+            # every line til we find the right one! -- mbp 2011-01-27
+            return key.strip() == str(cell_value)
+        elif self._regexp.get_active():
             if matching_case:
-                match = re.compile(key).search(string, 1)
+                match = re.compile(key).search(cell_value, 1)
             else:
-                match = re.compile(key, re.I).search(string, 1)
+                match = re.compile(key, re.I).search(cell_value, 1)
         else:
             if not matching_case:
-                string = string.lower()
+                cell_value = cell_value.lower()
                 key = key.lower()
-            match = string.find(key) != -1
+            match = cell_value.find(key) != -1
 
         return match
 

=== added file 'bazaar-properties.desktop'
--- bazaar-properties.desktop	1970-01-01 00:00:00 +0000
+++ bazaar-properties.desktop	2011-03-06 08:24:07 +0000
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=Bazaar Preferences
+Comment=Configure Bazaar settings
+Icon=bzr-icon-64
+Exec=bzr gpreferences
+Terminal=false
+Type=Application
+Categories=Settings;
+OnlyShowIn=GNOME;

=== modified file 'branchview/__init__.py'
--- branchview/__init__.py	2008-01-13 14:12:49 +0000
+++ branchview/__init__.py	2011-02-18 13:01:03 +0000
@@ -1,2 +1,1 @@
-
 from treeview import *

=== modified file 'branchview/treemodel.py'
--- branchview/treemodel.py	2008-04-24 15:26:14 +0000
+++ branchview/treemodel.py	2011-02-18 13:16:37 +0000
@@ -9,9 +9,10 @@
 
 import gtk
 import gobject
-import pango
 import re
 from xml.sax.saxutils import escape
+
+from bzrlib.config import parse_username
 from bzrlib.revision import NULL_REVISION
 
 from time import (strftime, localtime)
@@ -29,18 +30,18 @@
 PARENTS = 10
 CHILDREN = 11
 TAGS = 12
+AUTHORS = 13
 
 class TreeModel(gtk.GenericTreeModel):
 
-    
     def __init__ (self, branch, line_graph_data):
         gtk.GenericTreeModel.__init__(self)
         self.revisions = {}
-	self.branch = branch
+        self.branch = branch
         self.repository = branch.repository
         self.line_graph_data = line_graph_data
 
-    	if self.branch.supports_tags():
+        if self.branch.supports_tags():
             self.tags = self.branch.tags.get_reverse_tag_dict()
         else:
             self.tags = {}
@@ -54,10 +55,10 @@
 
     def on_get_flags(self):
         return gtk.TREE_MODEL_LIST_ONLY
-    
+
     def on_get_n_columns(self):
-        return 13
-    
+        return 14
+
     def on_get_column_type(self, index):
         if index == REVID: return gobject.TYPE_STRING
         if index == NODE: return gobject.TYPE_PYOBJECT
@@ -72,13 +73,14 @@
         if index == PARENTS: return gobject.TYPE_PYOBJECT
         if index == CHILDREN: return gobject.TYPE_PYOBJECT
         if index == TAGS: return gobject.TYPE_PYOBJECT
-        
+        if index == AUTHORS: return gobject.TYPE_STRING
+
     def on_get_iter(self, path):
         return path[0]
-    
+
     def on_get_path(self, rowref):
         return rowref
-    
+
     def on_get_value(self, rowref, column):
         if len(self.line_graph_data) > 0:
             (revid, node, lines, parents,
@@ -108,34 +110,36 @@
             self.revisions[revid] = revision
         else:
             revision = self.revisions[revid]
-        
+
         if column == REVISION: return revision
         if column == SUMMARY: return escape(revision.get_summary())
         if column == MESSAGE: return escape(revision.message)
-        if column == COMMITTER: return re.sub('<.*@.*>', '', 
-                                             revision.committer).strip(' ')
-        if column == TIMESTAMP: 
+        if column == COMMITTER: return parse_username(revision.committer)[0]
+        if column == TIMESTAMP:
             return strftime("%Y-%m-%d %H:%M", localtime(revision.timestamp))
+        if column == AUTHORS:
+            return ", ".join([
+                parse_username(author)[0] for author in revision.get_apparent_authors()])
 
     def on_iter_next(self, rowref):
         if rowref < len(self.line_graph_data) - 1:
             return rowref+1
         return None
-    
+
     def on_iter_children(self, parent):
         if parent is None: return 0
         return None
-    
+
     def on_iter_has_child(self, rowref):
         return False
-    
+
     def on_iter_n_children(self, rowref):
         if rowref is None: return len(self.line_graph_data)
         return 0
-    
+
     def on_iter_nth_child(self, parent, n):
         if parent is None: return n
         return None
-    
+
     def on_iter_parent(self, child):
         return None

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2009-06-15 14:02:08 +0000
+++ branchview/treeview.py	2011-02-18 13:16:37 +0000
@@ -6,21 +6,18 @@
 __copyright__ = "Copyright © 2005 Canonical Ltd."
 __author__    = "Daniel Schierbeck <daniel.schierbeck@gmail.com>"
 
-import sys
-import string
 import gtk
 import gobject
 import pango
-import re
 import treemodel
 from bzrlib import ui
 
-from bzrlib.plugins.gtk import _i18n
-from bzrlib.plugins.gtk.ui import GtkProgressBar, ProgressPanel
+from bzrlib.plugins.gtk.ui import ProgressPanel
 from linegraph import linegraph, same_branch
 from graphcell import CellRendererGraph
 from treemodel import TreeModel
 from bzrlib.revision import NULL_REVISION
+from bzrlib.plugins.gtk import lock
 
 
 class TreeView(gtk.VBox):
@@ -225,19 +222,16 @@
     def add_tag(self, tag, revid=None):
         if revid is None: revid = self.revision.revision_id
 
-        try:
-            self.branch.unlock()
-
+        if lock.release(self.branch):
             try:
-                self.branch.lock_write()
+                lock.acquire(self.branch, lock.WRITE)
                 self.model.add_tag(tag, revid)
             finally:
-                self.branch.unlock()
-
-        finally:
-            self.branch.lock_read()
-
-        self.emit('tag-added', tag, revid)
+                lock.release(self.branch)
+
+            lock.acquire(self.branch, lock.READ)
+
+            self.emit('tag-added', tag, revid)
         
     def refresh(self):
         gobject.idle_add(self.populate, self.get_revision())
@@ -398,13 +392,13 @@
         cell = gtk.CellRendererText()
         cell.set_property("width-chars", 15)
         cell.set_property("ellipsize", pango.ELLIPSIZE_END)
-        self.committer_column = gtk.TreeViewColumn("Committer")
-        self.committer_column.set_resizable(False)
-        self.committer_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
-        self.committer_column.set_fixed_width(200)
-        self.committer_column.pack_start(cell, expand=True)
-        self.committer_column.add_attribute(cell, "text", treemodel.COMMITTER)
-        self.treeview.append_column(self.committer_column)
+        self.authors_column = gtk.TreeViewColumn("Author(s)")
+        self.authors_column.set_resizable(False)
+        self.authors_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
+        self.authors_column.set_fixed_width(200)
+        self.authors_column.pack_start(cell, expand=True)
+        self.authors_column.add_attribute(cell, "text", treemodel.AUTHORS)
+        self.treeview.append_column(self.authors_column)
 
         cell = gtk.CellRendererText()
         cell.set_property("width-chars", 20)

=== added file 'bzr-handle-patch.desktop'
--- bzr-handle-patch.desktop	1970-01-01 00:00:00 +0000
+++ bzr-handle-patch.desktop	2011-03-06 08:24:07 +0000
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=Bazaar
+Comment=Apply Bazaar Bundle
+Icon=bzr-icon-64
+Exec=bzr-handle-patch %f
+NoDisplay=true
+Terminal=false
+Type=Application
+Categories=Application;Development;RevisionControl;
+MimeType=text/x-diff;text/x-patch;application/x-bazaar-merge-directive;

=== modified file 'bzr-notify'
--- bzr-notify	2010-02-28 16:17:06 +0000
+++ bzr-notify	2011-02-15 00:15:40 +0000
@@ -27,16 +27,16 @@
 try:
     import appindicator
 except ImportError:
-    icon = gtk.status_icon_new_from_file(icon_path("bzr-icon-64.png"))
+    icon = gtk.status_icon_new_from_icon_name("bzr-panel")
     icon.connect('popup-menu', menu.display)
     icon.set_visible(False)
     hide_icon = lambda: icon.set_visible(False)
     show_icon = lambda: icon.set_visible(True)
 else:
     indicator = appindicator.Indicator ("bzr-gtk-notify",
-        "bzr-icon-64", appindicator.CATEGORY_APPLICATION_STATUS)
+        "bzr-panel", appindicator.CATEGORY_OTHER)
     indicator.set_status (appindicator.STATUS_PASSIVE)
-    indicator.set_attention_icon("bzr-icon-64")
+    indicator.set_attention_icon("bzr-panel")
     indicator.set_menu(menu)
     hide_icon = lambda: indicator.set_status (appindicator.STATUS_PASSIVE)
     show_icon = lambda: indicator.set_status (appindicator.STATUS_ATTENTION)

=== added file 'bzr-notify.desktop'
--- bzr-notify.desktop	1970-01-01 00:00:00 +0000
+++ bzr-notify.desktop	2011-03-06 08:24:07 +0000
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Type=Application
+Version=0.1
+Name=Bazaar Notification
+GenericName=Bazaar Notification
+Comment=Notification Area Icon for Bazaar
+Icon=bzr-icon-64
+Exec=bzr-notify
+Categories=Application;Development;RevisionControl;
+Terminal=false

=== modified file 'commands.py'
--- commands.py	2010-06-17 20:25:04 +0000
+++ commands.py	2011-01-31 10:19:52 +0000
@@ -16,7 +16,7 @@
 
 from bzrlib import (
     branch,
-    builtins,
+    errors,
     workingtree,
     )
 from bzrlib.commands import (
@@ -33,11 +33,30 @@
 
 from bzrlib.plugins.gtk import (
     _i18n,
-    open_display,
     import_pygtk,
     set_ui_factory,
     )
 
+
+class NoDisplayError(errors.BzrCommandError):
+    """gtk could not find a proper display"""
+
+    def __str__(self):
+        return "No DISPLAY. Unable to run GTK+ application."
+
+
+def open_display():
+    pygtk = import_pygtk()
+    try:
+        import gtk
+    except RuntimeError, e:
+        if str(e) == "could not open display":
+            raise NoDisplayError
+    set_ui_factory()
+    return gtk
+
+
+
 class GTKCommand(Command):
     """Abstract class providing GTK specific run commands."""
 
@@ -162,13 +181,15 @@
 
 
 class cmd_visualise(Command):
-    """Graphically visualise this branch.
-
-    Opens a graphical window to allow you to see the history of the branch
-    and relationships between revisions in a visual manner,
-
-    The default starting point is latest revision on the branch, you can
-    specify a starting point with -r revision.
+    """Graphically visualise one or several branches.
+
+    Opens a graphical window to allow you to see branches history and
+    relationships between revisions in a visual manner,
+
+    If no revision is specified, the branch last revision is taken as a
+    starting point. When a revision is specified, the presented graph starts
+    with it (as a side effect, when a shared repository is used, any revision
+    can be used even if it's not part of the branch history).
     """
     takes_options = [
         "revision",
@@ -460,34 +481,3 @@
         window = TagsWindow(br)
         window.show()
         gtk.main()
-
-
-class cmd_gselftest(GTKCommand):
-    """Version of selftest that displays a notification at the end"""
-
-    takes_args = builtins.cmd_selftest.takes_args
-    takes_options = builtins.cmd_selftest.takes_options
-    _see_also = ['selftest']
-
-    def run(self, *args, **kwargs):
-        import cgi
-        import sys
-        default_encoding = sys.getdefaultencoding()
-        # prevent gtk from blowing up later
-        gtk = import_pygtk()
-        # prevent gtk from messing with default encoding
-        import pynotify
-        if sys.getdefaultencoding() != default_encoding:
-            reload(sys)
-            sys.setdefaultencoding(default_encoding)
-        result = builtins.cmd_selftest().run(*args, **kwargs)
-        if result == 0:
-            summary = 'Success'
-            body = 'Selftest succeeded in "%s"' % os.getcwd()
-        if result == 1:
-            summary = 'Failure'
-            body = 'Selftest failed in "%s"' % os.getcwd()
-        pynotify.init("bzr gselftest")
-        note = pynotify.Notification(cgi.escape(summary), cgi.escape(body))
-        note.set_timeout(pynotify.EXPIRES_NEVER)
-        note.show()

=== modified file 'conflicts.py'
--- conflicts.py	2008-05-05 18:16:46 +0000
+++ conflicts.py	2011-02-18 13:01:03 +0000
@@ -29,10 +29,11 @@
 from bzrlib.plugins.gtk import _i18n
 
 from dialog import error_dialog, warning_dialog
-from errors import show_bzr_error
+
 
 class ConflictsDialog(gtk.Dialog):
     """ This dialog displays the list of conflicts. """
+
     def __init__(self, wt, parent=None):
         """ Initialize the Conflicts dialog. """
         gtk.Dialog.__init__(self, title="Conflicts - Olive",

=== modified file 'dialog.py'
--- dialog.py	2008-07-27 07:59:23 +0000
+++ dialog.py	2011-02-24 09:49:08 +0000
@@ -33,7 +33,7 @@
     dialog = gtk.MessageDialog(flags=gtk.DIALOG_MODAL, type=type, parent=parent,
                                buttons=buttons)
     dialog.set_markup('<big><b>' + primary + '</b></big>')
-    dialog.format_secondary_markup(secondary)
+    dialog.format_secondary_text(secondary)
     response = dialog.run()
     dialog.destroy()
     return response

=== modified file 'diff.py'
--- diff.py	2010-04-13 15:06:17 +0000
+++ diff.py	2010-10-08 14:26:56 +0000
@@ -105,13 +105,18 @@
         :param buf: a gtksourceview2.Buffer object.
         """
         GEDIT_SCHEME_PATH = '/apps/gedit-2/preferences/editor/colors/scheme'
+        GEDIT_USER_STYLES_PATH = os.path.expanduser('~/.gnome2/gedit/styles')
 
         client = gconf.client_get_default()
         style_scheme_name = client.get_string(GEDIT_SCHEME_PATH)
         if style_scheme_name is not None:
-            style_scheme = gtksourceview2.StyleSchemeManager().get_scheme(style_scheme_name)
-            
-            buf.set_style_scheme(style_scheme)
+            style_scheme_mgr = gtksourceview2.StyleSchemeManager()
+            style_scheme_mgr.append_search_path(GEDIT_USER_STYLES_PATH)
+            
+            style_scheme = style_scheme_mgr.get_scheme(style_scheme_name)
+            
+            if style_scheme is not None:
+                buf.set_style_scheme(style_scheme)
 
     @classmethod
     def apply_colordiff_colors(klass, buf):

=== modified file 'errors.py'
--- errors.py	2008-07-27 11:37:31 +0000
+++ errors.py	2011-02-18 13:01:03 +0000
@@ -16,7 +16,7 @@
 
 import bzrlib.errors as errors
 from bzrlib.plugins.gtk import _i18n
-from dialog import error_dialog, info_dialog, warning_dialog
+from dialog import error_dialog, info_dialog
 
 
 def show_bzr_error(unbound):

=== added file 'icons/bzr-panel.svg'
--- icons/bzr-panel.svg	1970-01-01 00:00:00 +0000
+++ icons/bzr-panel.svg	2010-10-20 00:38:43 +0000
@@ -0,0 +1,123 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="125.3576"
+   height="127.96403"
+   id="svg2393"
+   sodipodi:version="0.32"
+   inkscape:version="0.46"
+   version="1.0"
+   sodipodi:docname="bzr-logo.svg"
+   inkscape:output_extension="org.inkscape.output.svg.inkscape">
+  <defs
+     id="defs2395">
+    <linearGradient
+       id="linearGradient5444">
+      <stop
+         id="stop5446"
+         offset="0"
+         style="stop-color:#729fcf;stop-opacity:1;" />
+      <stop
+         style="stop-color:#3465a4;stop-opacity:1;"
+         offset="0.5"
+         id="stop4547" />
+      <stop
+         id="stop5448"
+         offset="1"
+         style="stop-color:#204ab7;stop-opacity:1;" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient5444"
+       id="linearGradient2200"
+       x1="372.24512"
+       y1="69.037941"
+       x2="372.24512"
+       y2="0"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="matrix(1.027169,0,0,1,571.72345,145.71693)" />
+    <inkscape:perspective
+       sodipodi:type="inkscape:persp3d"
+       inkscape:vp_x="0 : 526.18109 : 1"
+       inkscape:vp_y="0 : 1000 : 0"
+       inkscape:vp_z="744.09448 : 526.18109 : 1"
+       inkscape:persp3d-origin="372.04724 : 350.78739 : 1"
+       id="perspective2401" />
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     gridtolerance="10000"
+     guidetolerance="10"
+     objecttolerance="10"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="0.35"
+     inkscape:cx="375"
+     inkscape:cy="520"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="false"
+     inkscape:window-width="642"
+     inkscape:window-height="716"
+     inkscape:window-x="0"
+     inkscape:window-y="26" />
+  <metadata
+     id="metadata2398">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(-580.17834,-151.23731)">
+    <path
+       style="opacity:1;fill:url(#linearGradient2200);fill-opacity:1;stroke:none;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1;display:inline"
+       d="M 588.19225,214.74818 L 703.94225,214.74818 C 703.0194,210.71454 649.52368,155.39489 646.56725,155.46693 C 644.54816,155.51613 591.83132,209.09818 588.19225,214.74818 z"
+       id="rect1307"
+       inkscape:export-filename="/home/matt/BZR Header.png"
+       inkscape:export-xdpi="96"
+       inkscape:export-ydpi="96" />
+    <g
+       style="opacity:1;display:inline"
+       id="g3653"
+       transform="translate(754.85055,325.08453)"
+       inkscape:export-filename="/home/matt/Projects/Ubuntu/Bazaar Website/bzr icon 64.png"
+       inkscape:export-xdpi="45.012665"
+       inkscape:export-ydpi="45.012665">
+      <path
+         id="path2749"
+         d="M -143.51431,-75.4275 C -158.48768,-90.57687 -171.17625,-103.66019 -171.7111,-104.50153 C -174.63909,-109.10738 -172.34363,-112.16647 -143.7155,-141.81059 C -119.96256,-166.4065 -114.08422,-171.84722 -111.26302,-171.84722 C -108.45655,-171.84722 -102.57922,-166.49332 -79.566158,-142.97326 C -59.704508,-122.67403 -51.314608,-113.24681 -51.314608,-111.22876 C -51.314608,-107.03298 -109.21126,-47.88319 -113.31814,-47.88319 C -115.49463,-47.88319 -123.57621,-55.25503 -143.51431,-75.4275 z"
+         style="opacity:1;fill:#fce94f;fill-opacity:1;stroke:#fce94f;stroke-width:4;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1;display:inline" />
+      <path
+         id="path2721"
+         d="M -118.75152,-74.850683 C -119.22012,-75.319283 -119.60352,-85.958443 -119.60352,-98.493313 L -119.60352,-121.28395 L -124.85215,-121.28395 C -131.2088,-121.28395 -131.22918,-121.19503 -121.27316,-136.90004 C -116.77235,-143.99978 -113.38241,-148.09169 -112.19584,-147.85705 C -110.34853,-147.49175 -95.321883,-124.90849 -95.321883,-122.4975 C -95.321883,-121.83004 -97.640303,-121.28395 -100.47393,-121.28395 C -103.84689,-121.28395 -105.87693,-120.6299 -106.35276,-119.38989 C -107.55959,-116.24495 -103.45251,-106.32746 -97.296233,-97.520823 C -90.988133,-88.497013 -90.461803,-86.665103 -93.461883,-84.175253 C -95.128693,-82.791933 -96.185063,-83.268713 -100.25177,-87.239733 C -102.90055,-89.826193 -105.46285,-91.547323 -105.94572,-91.064423 C -106.42862,-90.581523 -106.8237,-86.544203 -106.8237,-82.092573 L -106.8237,-73.998703 L -112.36162,-73.998703 C -115.40746,-73.998703 -118.28294,-74.382103 -118.75152,-74.850683 z"
+         style="opacity:1;fill:#c4a000;fill-opacity:1;stroke:#c4a000;display:inline" />
+      <path
+         id="path2727"
+         d="M -120.75152,-76.85072 C -121.22012,-77.31932 -121.60352,-87.95848 -121.60352,-100.49335 L -121.60352,-123.28399 L -126.85215,-123.28399 C -133.2088,-123.28399 -133.22918,-123.19507 -123.27316,-138.90007 C -118.77235,-145.99981 -115.38241,-150.09172 -114.19584,-149.85708 C -112.34853,-149.49178 -97.321888,-126.90852 -97.321888,-124.49754 C -97.321888,-123.83008 -99.640308,-123.28399 -102.47393,-123.28399 C -105.84689,-123.28399 -107.87693,-122.62994 -108.35276,-121.38993 C -109.55959,-118.24499 -105.45251,-108.3275 -99.296238,-99.52086 C -92.988138,-90.49705 -92.461808,-88.66514 -95.461888,-86.17529 C -97.128698,-84.79197 -98.185068,-85.26875 -102.25177,-89.23977 C -104.90055,-91.82623 -107.46285,-93.54736 -107.94572,-93.06446 C -108.42862,-92.58156 -108.8237,-88.54424 -108.8237,-84.09261 L -108.8237,-75.99874 L -114.36162,-75.99874 C -117.40746,-75.99874 -120.28294,-76.38214 -120.75152,-76.85072 z"
+         style="opacity:1;fill:#555753;fill-opacity:1;stroke:#2e3436;stroke-opacity:1;display:inline" />
+      <path
+         d="M -143.51431,-75.4275 C -158.48768,-90.57687 -171.17625,-103.66019 -171.7111,-104.50153 C -174.63909,-109.10738 -172.34363,-112.16647 -143.7155,-141.81059 C -119.96256,-166.4065 -114.08422,-171.84722 -111.26302,-171.84722 C -108.45655,-171.84722 -102.57922,-166.49332 -79.566162,-142.97326 C -59.704512,-122.67403 -51.314612,-113.24681 -51.314612,-111.22876 C -51.314612,-107.03298 -109.21126,-47.88319 -113.31814,-47.88319 C -115.49463,-47.88319 -123.57621,-55.25503 -143.51431,-75.4275 z M -82.734602,-78.80831 C -63.284082,-98.78654 -53.870592,-109.3496 -53.870592,-111.19708 C -53.870592,-114.35673 -108.28764,-170.68595 -111.26979,-170.61328 C -113.31427,-170.56346 -167.39892,-115.6112 -169.81635,-111.12752 C -171.82156,-107.40842 -170.53236,-105.76188 -145.24612,-79.74648 C -117.66227,-51.36719 -115.36413,-49.16116 -113.38369,-49.16116 C -112.40192,-49.16116 -98.609822,-62.50237 -82.734602,-78.80831 z"
+         style="opacity:1;fill:#555753;fill-opacity:1;stroke:#2e3436;stroke-width:2;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1;display:inline"
+         id="path2736" />
+    </g>
+  </g>
+</svg>

=== modified file 'info.py'
--- info.py	2010-08-13 20:50:53 +0000
+++ info.py	2011-03-02 15:24:46 +0000
@@ -20,18 +20,12 @@
 # versions ending in 'exp' mean experimental mappings
 # versions ending in 'dev' mean development version
 # versions ending in 'final' mean release (well tested, etc)
-bzr_plugin_version = (0, 100, 0, 'dev', 0)
+bzr_plugin_version = (0, 101, 0, 'dev', 0)
 
 #FIXME: fill this in automatically somehow
 bzr_commands = []
 
-bzr_compatible_versions = [(1, 6, 0), (1, 7, 0), (1, 8, 0), (1, 9, 0),
-                           (1, 10, 0), (1, 11, 0), (1, 12, 0), (1, 13, 0),
-                           (1, 15, 0),
-                           (1, 17, 0),
-                           (2, 1, 0),
-                           (2, 2, 0),
-                           ]
+bzr_compatible_versions = [(2, 1, 0), (2, 2, 0), (2, 3, 0), (2, 4, 0)]
 
 bzr_minimum_version = bzr_compatible_versions[0]
 

=== added file 'lock.py'
--- lock.py	1970-01-01 00:00:00 +0000
+++ lock.py	2011-02-18 11:53:18 +0000
@@ -0,0 +1,62 @@
+
+import gtk
+
+
+RESPONSE_BREAK = 0
+RESPONSE_CANCEL = gtk.RESPONSE_CANCEL
+
+READ = "read"
+WRITE = "write"
+
+
+def acquire(branch, lock_type):
+    if branch.get_physical_lock_status():
+        dialog = LockDialog(branch)
+        response = dialog.run()
+        dialog.destroy()
+
+        if response == RESPONSE_BREAK:
+            branch.break_lock()
+        else:
+            return False
+
+    if lock_type == READ:
+        branch.lock_read()
+    elif lock_type == WRITE:
+        branch.lock_write()
+
+    return True
+
+
+def release(branch):
+    if branch.get_physical_lock_status():
+        dialog = LockDialog(branch)
+        response = dialog.run()
+        dialog.destroy()
+
+        if response == RESPONSE_BREAK:
+            branch.break_lock()
+        elif response == RESPONSE_CANCEL:
+            return False
+
+    branch.unlock()
+
+    return True
+
+
+class LockDialog(gtk.Dialog):
+
+    def __init__(self, branch):
+        gtk.Dialog.__init__(self)
+
+        self.branch = branch
+
+        self.set_title('Lock Not Held')
+
+        self.vbox.add(gtk.Label('This operation cannot be completed as ' \
+                                'another application has locked the branch.'))
+
+        self.add_button('Break Lock', RESPONSE_BREAK)
+        self.add_button(gtk.STOCK_CANCEL, RESPONSE_CANCEL)
+
+        self.vbox.show_all()

=== modified file 'mergedirective.py'
--- mergedirective.py	2008-03-14 02:19:21 +0000
+++ mergedirective.py	2011-02-18 13:01:03 +0000
@@ -22,7 +22,6 @@
 
 import bzrlib
 import gtk
-import os
 
 from bzrlib.plugins.gtk.branchbox import BranchSelectionBox
 

=== modified file 'missing.py'
--- missing.py	2007-12-06 23:37:06 +0000
+++ missing.py	2011-02-18 13:01:03 +0000
@@ -22,10 +22,10 @@
 
 import gtk
 
-from bzrlib.config import GlobalConfig
 from bzrlib.missing import find_unmerged
 
-from revisionview import RevisionView
+from bzrlib.plugins.gtk.revisionview import RevisionView
+
 
 class MissingWindow(gtk.Dialog):
     """Displays revisions present in one branch but missing in 

=== modified file 'nautilus-bzr.py'
--- nautilus-bzr.py	2009-08-24 05:45:14 +0000
+++ nautilus-bzr.py	2011-02-18 13:01:03 +0000
@@ -12,14 +12,12 @@
 from bzrlib.branch import Branch
 from bzrlib.bzrdir import BzrDir
 from bzrlib.errors import NotBranchError, NoWorkingTree, UnsupportedProtocol
-from bzrlib.tree import file_status
 from bzrlib.workingtree import WorkingTree
 from bzrlib.config import GlobalConfig
 
 from bzrlib.plugin import load_plugins
 load_plugins()
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.commands import cmd_gannotate, start_viz_window
 
 print "Bazaar nautilus module initialized"

=== modified file 'notify.py'
--- notify.py	2010-03-03 14:10:25 +0000
+++ notify.py	2011-02-18 13:01:03 +0000
@@ -35,6 +35,7 @@
 
 
 class NotifyPopupMenu(gtk.Menu):
+
     def __init__(self):
         super(NotifyPopupMenu, self).__init__()
         self.create_items()

=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2010-08-21 09:38:06 +0000
+++ po/POTFILES.in	2011-03-06 08:24:07 +0000
@@ -16,7 +16,5 @@
 push.py
 revbrowser.py
 search.py
-setup.cfg
-setup.py
 status.py
 tags.py

=== added file 'po/POTFILES.skip'
--- po/POTFILES.skip	1970-01-01 00:00:00 +0000
+++ po/POTFILES.skip	2011-03-06 08:24:07 +0000
@@ -0,0 +1,2 @@
+setup.cfg
+setup.py

=== added file 'po/bzr-gtk.pot'
--- po/bzr-gtk.pot	1970-01-01 00:00:00 +0000
+++ po/bzr-gtk.pot	2011-03-06 08:24:07 +0000
@@ -0,0 +1,696 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2011-03-06 02:19+0100\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: ../bazaar-properties.desktop.in.h:1
+msgid "Bazaar Preferences"
+msgstr ""
+
+#: ../bazaar-properties.desktop.in.h:2
+msgid "Configure Bazaar settings"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:1
+msgid "Apply Bazaar Bundle"
+msgstr ""
+
+#: ../bzr-handle-patch.desktop.in.h:2
+msgid "Bazaar"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:1
+msgid "Bazaar Notification"
+msgstr ""
+
+#: ../bzr-notify.desktop.in.h:2
+msgid "Notification Area Icon for Bazaar"
+msgstr ""
+
+#. Create the widgets
+#: ../branch.py:52
+msgid "_Branch"
+msgstr ""
+
+#: ../branch.py:55 ../checkout.py:55
+msgid "Branch location:"
+msgstr ""
+
+#: ../branch.py:57 ../checkout.py:56
+msgid "Destination:"
+msgstr ""
+
+#: ../branch.py:58
+msgid "Branck nick:"
+msgstr ""
+
+#: ../branch.py:59 ../checkout.py:58
+msgid "Revision:"
+msgstr ""
+
+#: ../branch.py:60 ../checkout.py:53
+msgid "Please select a folder"
+msgstr ""
+
+#: ../branch.py:140 ../checkout.py:159
+msgid "Missing branch location"
+msgstr ""
+
+#: ../branch.py:141 ../checkout.py:160
+msgid "You must specify a branch location."
+msgstr ""
+
+#: ../branch.py:182
+msgid "Branching successful"
+msgstr ""
+
+#: ../branch.py:183
+#, python-format
+msgid "%d revision(s) branched."
+msgstr ""
+
+#: ../branch.py:191 ../checkout.py:191
+msgid "N/A"
+msgstr ""
+
+#. Create the widgets
+#: ../checkout.py:50
+msgid "Check_out"
+msgstr ""
+
+#: ../checkout.py:57
+msgid "Branch nick:"
+msgstr ""
+
+#: ../checkout.py:62
+msgid "_Lightweight checkout"
+msgstr ""
+
+#: ../commands.py:307
+msgid "Directory does not have a working tree"
+msgstr ""
+
+#: ../commands.py:308
+msgid "Operation aborted."
+msgstr ""
+
+#: ../commands.py:412
+msgid "There are local changes in the branch"
+msgstr ""
+
+#: ../commands.py:413
+msgid "Please commit or revert the changes before merging."
+msgstr ""
+
+#: ../commit.py:182
+msgid "added"
+msgstr ""
+
+#: ../commit.py:183
+msgid "removed"
+msgstr ""
+
+#: ../commit.py:184
+msgid "renamed"
+msgstr ""
+
+#: ../commit.py:185
+msgid "renamed and modified"
+msgstr ""
+
+#: ../commit.py:186
+msgid "modified"
+msgstr ""
+
+#: ../commit.py:187
+msgid "kind changed"
+msgstr ""
+
+#: ../commit.py:280
+msgid "<b>Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:333
+msgid "_Only commit locally"
+msgstr ""
+
+#: ../commit.py:364
+msgid "Comm_it"
+msgstr ""
+
+#: ../commit.py:390
+msgid "Files"
+msgstr ""
+
+#: ../commit.py:395
+msgid "Commit all changes"
+msgstr ""
+
+#: ../commit.py:401
+msgid "Only commit selected changes"
+msgstr ""
+
+#: ../commit.py:407
+msgid "Commit all changes*"
+msgstr ""
+
+#: ../commit.py:440
+msgid "Commit*"
+msgstr ""
+
+#: ../commit.py:442
+msgid "Commit"
+msgstr ""
+
+#: ../commit.py:446 ../conflicts.py:111
+msgid "Path"
+msgstr ""
+
+#: ../commit.py:448 ../conflicts.py:113
+msgid "Type"
+msgstr ""
+
+#: ../commit.py:481
+msgid "<i>* Cannot select specific files when merging</i>"
+msgstr ""
+
+#: ../commit.py:485
+msgid "Pending Revisions"
+msgstr ""
+
+#: ../commit.py:507
+msgid "Date"
+msgstr ""
+
+#: ../commit.py:509
+msgid "Committer"
+msgstr ""
+
+#: ../commit.py:511 ../search.py:59
+msgid "Summary"
+msgstr ""
+
+#. TODO: jam 2007-10-30 The diff label is currently disabled. If we
+#. decide that we really don't ever want to display it, we should
+#. actually remove it, and other references to it, along with the
+#. tests that it is set properly.
+#: ../commit.py:521
+msgid "Diff for whole tree"
+msgstr ""
+
+#. Whole tree
+#: ../commit.py:545 ../commit.py:628
+msgid "File commit message"
+msgstr ""
+
+#: ../commit.py:552
+msgid "Global Commit Message"
+msgstr ""
+
+#: ../commit.py:554
+msgid "<b>Global Commit Message</b>"
+msgstr ""
+
+#: ../commit.py:581
+msgid "Diff for "
+msgstr ""
+
+#: ../commit.py:634
+msgid "Commit message for "
+msgstr ""
+
+#: ../commit.py:689
+msgid "Commit cancelled"
+msgstr ""
+
+#: ../commit.py:690
+msgid "Do you want to save your commit messages ?"
+msgstr ""
+
+#: ../commit.py:708
+msgid "Commit with an empty message?"
+msgstr ""
+
+#: ../commit.py:709
+msgid "You can describe your commit intent in the message."
+msgstr ""
+
+#: ../commit.py:729
+msgid "Commit with unknowns?"
+msgstr ""
+
+#: ../commit.py:730
+msgid "Unknown files exist in the working tree. Commit anyway?"
+msgstr ""
+
+#: ../commit.py:750
+msgid "Commit with no changes?"
+msgstr ""
+
+#: ../commit.py:751
+msgid "There are no changes in the working tree. Do you want to commit anyway?"
+msgstr ""
+
+#: ../conflicts.py:50
+msgid "External utility:"
+msgstr ""
+
+#: ../conflicts.py:101
+msgid "Conflicts"
+msgstr ""
+
+#: ../conflicts.py:104
+msgid "No conflicts in working tree."
+msgstr ""
+
+#: ../conflicts.py:118
+msgid "path conflict"
+msgstr ""
+
+#: ../conflicts.py:120
+msgid "contents conflict"
+msgstr ""
+
+#: ../conflicts.py:122
+msgid "text conflict"
+msgstr ""
+
+#: ../conflicts.py:124
+msgid "duplicate id"
+msgstr ""
+
+#: ../conflicts.py:126
+msgid "duplicate"
+msgstr ""
+
+#: ../conflicts.py:128
+msgid "parent loop"
+msgstr ""
+
+#: ../conflicts.py:130
+msgid "unversioned parent"
+msgstr ""
+
+#: ../conflicts.py:132
+msgid "missing parent"
+msgstr ""
+
+#: ../conflicts.py:134
+msgid "deleting parent"
+msgstr ""
+
+#: ../conflicts.py:136
+msgid "unknown type of conflict"
+msgstr ""
+
+#: ../conflicts.py:165
+msgid "No file was selected"
+msgstr ""
+
+#: ../conflicts.py:166
+msgid "Please select a file from the list."
+msgstr ""
+
+#: ../conflicts.py:176
+msgid "Call to external utility failed"
+msgstr ""
+
+#: ../conflicts.py:178
+msgid "Cannot resolve conflict"
+msgstr ""
+
+#: ../conflicts.py:179
+msgid ""
+"Only conflicts on the text of files can be resolved with Olive at the "
+"moment. Content conflicts, on the structure of the tree, need to be resolved "
+"using the command line."
+msgstr ""
+
+#. View menu
+#: ../diff.py:445
+msgid "_View"
+msgstr ""
+
+#: ../diff.py:447
+msgid "Wrap _Long Lines"
+msgstr ""
+
+#. No conflicts found.
+#: ../diff.py:492 ../merge.py:146
+msgid "Merge successful"
+msgstr ""
+
+#: ../diff.py:493 ../merge.py:147
+msgid "All changes applied successfully."
+msgstr ""
+
+#. There are conflicts to be resolved.
+#: ../diff.py:496 ../merge.py:150
+msgid "Conflicts encountered"
+msgstr ""
+
+#: ../diff.py:497 ../merge.py:151
+msgid "Please resolve the conflicts manually before committing."
+msgstr ""
+
+#: ../errors.py:28
+msgid "Directory is not a branch"
+msgstr ""
+
+#: ../errors.py:29
+msgid "You can perform this action only in a branch."
+msgstr ""
+
+#: ../errors.py:31
+msgid "Directory is not a checkout"
+msgstr ""
+
+#: ../errors.py:32
+msgid "You can perform local commit only on checkouts."
+msgstr ""
+
+#: ../errors.py:34
+msgid "No changes to commit"
+msgstr ""
+
+#: ../errors.py:35
+msgid "Try force commit if you want to commit anyway."
+msgstr ""
+
+#: ../errors.py:37
+msgid "No changes to merge"
+msgstr ""
+
+#: ../errors.py:38
+msgid "Merge location is already fully merged in working tree."
+msgstr ""
+
+#: ../errors.py:40
+msgid "Conflicts in tree"
+msgstr ""
+
+#: ../errors.py:41
+msgid "You need to resolve the conflicts before committing."
+msgstr ""
+
+#: ../errors.py:43
+msgid "Strict commit failed"
+msgstr ""
+
+#: ../errors.py:44
+msgid ""
+"There are unknown files in the working tree.\n"
+"Please add or delete them."
+msgstr ""
+
+#: ../errors.py:46
+msgid "Bound branch is out of date"
+msgstr ""
+
+#. FIXME: Really ? Internationalizing %s ?? --vila080505
+#: ../errors.py:48
+#, python-format
+msgid "%s"
+msgstr ""
+
+#: ../errors.py:50
+msgid "File not versioned"
+msgstr ""
+
+#: ../errors.py:51
+msgid "The selected file is not versioned."
+msgstr ""
+
+#: ../errors.py:53 ../push.py:99
+msgid "Branches have been diverged"
+msgstr ""
+
+#: ../errors.py:54
+msgid ""
+"You cannot push if branches have diverged. Use the\n"
+"overwrite option if you want to push anyway."
+msgstr ""
+
+#: ../errors.py:56
+msgid "No diff output"
+msgstr ""
+
+#: ../errors.py:57
+msgid "The selected file hasn't changed."
+msgstr ""
+
+#: ../errors.py:59
+msgid "No such revision"
+msgstr ""
+
+#: ../errors.py:60
+msgid "The revision you specified doesn't exist."
+msgstr ""
+
+#: ../errors.py:62
+msgid "Target already exists"
+msgstr ""
+
+#: ../errors.py:63
+msgid "Target directory already exists. Please select another target."
+msgstr ""
+
+#: ../errors.py:65
+msgid "Directory is already a branch"
+msgstr ""
+
+#: ../errors.py:66
+#, python-format
+msgid ""
+"The current directory (%s) is already a branch.\n"
+"You can start using it, or initialize another directory."
+msgstr ""
+
+#: ../errors.py:68
+msgid "Branch without a working tree"
+msgstr ""
+
+#: ../errors.py:69
+#, python-format
+msgid ""
+"The current directory (%s)\n"
+"is a branch without a working tree."
+msgstr ""
+
+#: ../errors.py:71
+msgid "Unknown bzr error"
+msgstr ""
+
+#: ../errors.py:73
+msgid "Permission denied"
+msgstr ""
+
+#: ../errors.py:73
+msgid "permission denied."
+msgstr ""
+
+#: ../errors.py:75
+msgid "Unknown error"
+msgstr ""
+
+#. Create the widgets
+#: ../initialize.py:48
+msgid "_Initialize"
+msgstr ""
+
+#: ../initialize.py:49
+msgid "Which directory do you want to initialize?"
+msgstr ""
+
+#: ../initialize.py:50
+msgid "Current directory"
+msgstr ""
+
+#: ../initialize.py:51
+msgid "Create a new directory with the name:"
+msgstr ""
+
+#: ../initialize.py:86
+msgid "Directory name not specified"
+msgstr ""
+
+#: ../initialize.py:87
+msgid "You should specify a new directory name."
+msgstr ""
+
+#: ../loom.py:53
+msgid "Upgrade to Loom branch?"
+msgstr ""
+
+#: ../loom.py:54
+msgid "Branch is not a loom branch. Upgrade to Loom format?"
+msgstr ""
+
+#: ../merge.py:54
+msgid "Merge from"
+msgstr ""
+
+#: ../merge.py:56
+msgid "Folder"
+msgstr ""
+
+#: ../merge.py:56
+msgid "Custom Location"
+msgstr ""
+
+#: ../merge.py:59
+msgid "_Merge"
+msgstr ""
+
+#: ../merge.py:132
+msgid "Branch not given"
+msgstr ""
+
+#: ../merge.py:133
+msgid "Please specify a branch to merge from."
+msgstr ""
+
+#: ../merge.py:141
+msgid "Bazaar command error"
+msgstr ""
+
+#. Create the widgets
+#: ../push.py:51
+msgid "Location:"
+msgstr ""
+
+#: ../push.py:53
+msgid "_Push"
+msgstr ""
+
+#: ../push.py:100
+msgid ""
+"You cannot push if branches have diverged.\n"
+"Overwrite?"
+msgstr ""
+
+#: ../push.py:108
+msgid "Push successful"
+msgstr ""
+
+#: ../push.py:109
+#, python-format
+msgid "%d revision(s) pushed."
+msgstr ""
+
+#: ../push.py:142
+msgid "Non existing parent directory"
+msgstr ""
+
+#: ../push.py:143
+#, python-format
+msgid ""
+"The parent directory (%s)\n"
+"doesn't exist. Create?"
+msgstr ""
+
+#. Create the widgets
+#: ../revbrowser.py:45
+msgid "_Select"
+msgstr ""
+
+#: ../search.py:44
+msgid "Search for:"
+msgstr ""
+
+#: ../search.py:56
+msgid "Document"
+msgstr ""
+
+#: ../status.py:94
+msgid "Added"
+msgstr ""
+
+#: ../status.py:100
+msgid "Removed"
+msgstr ""
+
+#: ../status.py:106
+msgid "Renamed"
+msgstr ""
+
+#: ../status.py:113
+msgid "Modified"
+msgstr ""
+
+#: ../status.py:121
+msgid "Unknown"
+msgstr ""
+
+#: ../status.py:126
+msgid "No changes."
+msgstr ""
+
+#. Set properties
+#: ../tags.py:66
+msgid "Tags"
+msgstr ""
+
+#: ../tags.py:110
+msgid "Tag Name"
+msgstr ""
+
+#: ../tags.py:115
+msgid "Revision ID"
+msgstr ""
+
+#: ../tags.py:150
+msgid "Tags are not supported by this branch format. Please upgrade."
+msgstr ""
+
+#: ../tags.py:156
+msgid "No tagged revisions in the branch."
+msgstr ""
+
+#: ../tags.py:231
+msgid "_Remove tag"
+msgstr ""
+
+#: ../tags.py:241
+msgid "<b><big>Remove tag?</big></b>"
+msgstr ""
+
+#: ../tags.py:243
+#, python-format
+msgid "Are you sure you want to remove the tag: <b>%s</b>?"
+msgstr ""
+
+#. Create the widgets
+#: ../tags.py:288
+msgid "_Add tag"
+msgstr ""
+
+#: ../tags.py:290
+msgid "Tag Name:"
+msgstr ""
+
+#: ../tags.py:291
+msgid "Revision ID:"
+msgstr ""
+
+#: ../tags.py:322
+msgid "No tag name specified"
+msgstr ""
+
+#: ../tags.py:323
+msgid "You have to specify the tag's desired name."
+msgstr ""

=== removed file 'po/olive-gtk.pot'
--- po/olive-gtk.pot	2008-05-05 18:16:46 +0000
+++ po/olive-gtk.pot	1970-01-01 00:00:00 +0000
@@ -1,1463 +0,0 @@
-# SOME DESCRIPTIVE TITLE.
-# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
-# This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
-#
-#, fuzzy
-msgid ""
-msgstr ""
-"Project-Id-Version: PACKAGE VERSION\n"
-"Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2008-05-05 20:10+0200\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
-"Language-Team: LANGUAGE <LL@li.org>\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=CHARSET\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#: branch.py:52 olive.glade:151 olive.glade:167
-msgid "_Branch"
-msgstr ""
-
-#: branch.py:55 checkout.py:53 branch.py:60 checkout.py:54
-msgid "Please select a folder"
-msgstr ""
-
-#: branch.py:57 checkout.py:55 branch.py:55 checkout.py:56
-msgid "Branch location:"
-msgstr ""
-
-#: branch.py:58 checkout.py:56 branch.py:57 checkout.py:57
-msgid "Destination:"
-msgstr ""
-
-#: branch.py:59 checkout.py:57 branch.py:58 checkout.py:58
-msgid "Branck nick:"
-msgstr ""
-
-#: branch.py:60 checkout.py:58 branch.py:59 checkout.py:59
-msgid "Revision:"
-msgstr ""
-
-#: branch.py:162 checkout.py:163 branch.py:140 checkout.py:164
-msgid "Missing branch location"
-msgstr ""
-
-#: branch.py:163 checkout.py:164 branch.py:141 checkout.py:165
-msgid "You must specify a branch location."
-msgstr ""
-
-#: branch.py:205 branch.py:182
-msgid "Branching successful"
-msgstr ""
-
-#: branch.py:206 branch.py:183
-#, python-format
-msgid "%d revision(s) branched."
-msgstr ""
-
-#: branch.py:214 checkout.py:195 branch.py:191 checkout.py:196
-msgid "N/A"
-msgstr ""
-
-#: checkout.py:50 checkout.py:51
-msgid "Check_out"
-msgstr ""
-
-#: checkout.py:62 checkout.py:63
-msgid "_Lightweight checkout"
-msgstr ""
-
-#: commit.py:68 __init__.py:362
-msgid "Directory does not have a working tree"
-msgstr ""
-
-#: commit.py:69 __init__.py:363
-msgid "Operation aborted."
-msgstr ""
-
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556 olive/add.py:76
-#: olive/add.py:86 olive/info.py:556 errors.py:28 olive/add.py:77
-#: olive/add.py:87 olive/info.py:557
-msgid "Directory is not a branch"
-msgstr ""
-
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557 olive/add.py:77
-#: olive/add.py:87 olive/info.py:557 errors.py:29 olive/add.py:78
-#: olive/add.py:88 olive/info.py:558
-msgid "You can perform this action only in a branch."
-msgstr ""
-
-#: commit.py:88 commit.py:337 commit.py:338
-msgid "Comm_it"
-msgstr ""
-
-#: commit.py:89
-msgid "File(s) to commit"
-msgstr ""
-
-#: commit.py:95
-msgid "Commit message:"
-msgstr ""
-
-#: commit.py:99
-msgid "Pending merges"
-msgstr ""
-
-#: commit.py:147 commit.py:310 commit.py:311
-msgid "_Only commit locally"
-msgstr ""
-
-#: commit.py:215 commit.py:650 commit.py:652
-msgid "Commit with an empty message?"
-msgstr ""
-
-#: commit.py:216 commit.py:651 commit.py:653
-msgid "You can describe your commit intent in the message."
-msgstr ""
-
-#: commit.py:228 commit.py:670 commit.py:672
-msgid "Commit with unknowns?"
-msgstr ""
-
-#: commit.py:229 commit.py:671 commit.py:673
-msgid "Unknown files exist in the working tree. Commit anyway?"
-msgstr ""
-
-#: commit.py:240 commit.py:689 commit.py:691
-msgid "Commit with no changes?"
-msgstr ""
-
-#: commit.py:241
-msgid "There are no changes in the working tree."
-msgstr ""
-
-#: commit.py:323 menu.py:87 commit.py:415 olive/menu.py:86 commit.py:416
-#: olive/menu.py:87
-msgid "Commit"
-msgstr ""
-
-#: commit.py:325 conflicts.py:108 commit.py:419 conflicts.py:109 commit.py:420
-#: conflicts.py:110
-msgid "Path"
-msgstr ""
-
-#: commit.py:327 conflicts.py:110 commit.py:421 conflicts.py:111 commit.py:422
-#: conflicts.py:112
-msgid "Type"
-msgstr ""
-
-#: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-#: commit.py:167 olive/__init__.py:1053 olive/__init__.py:1358 commit.py:168
-#: olive/__init__.py:1054 olive/__init__.py:1359
-msgid "added"
-msgstr ""
-
-#: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-#: commit.py:168 olive/__init__.py:1051 olive/__init__.py:1356 commit.py:169
-#: olive/__init__.py:1052 olive/__init__.py:1357
-msgid "removed"
-msgstr ""
-
-#: commit.py:353 commit.py:170 commit.py:171
-msgid "renamed and modified"
-msgstr ""
-
-#: commit.py:355 __init__.py:936 __init__.py:1223 commit.py:169
-#: olive/__init__.py:1049 olive/__init__.py:1354 commit.py:170
-#: olive/__init__.py:1050 olive/__init__.py:1355
-msgid "renamed"
-msgstr ""
-
-#: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-#: commit.py:171 olive/__init__.py:1055 olive/__init__.py:1360 commit.py:172
-#: olive/__init__.py:1056 olive/__init__.py:1361
-msgid "modified"
-msgstr ""
-
-#: commit.py:395 commit.py:480 commit.py:481
-msgid "Date"
-msgstr ""
-
-#: commit.py:397 revbrowser.py:68 commit.py:482 commit.py:483
-msgid "Committer"
-msgstr ""
-
-#: commit.py:399 revbrowser.py:66 commit.py:484 commit.py:485
-msgid "Summary"
-msgstr ""
-
-#: conflicts.py:48 conflicts.py:49
-msgid "External utility:"
-msgstr ""
-
-#: conflicts.py:99 conflicts.py:100
-msgid "Conflicts"
-msgstr ""
-
-#: conflicts.py:102 conflicts.py:103
-msgid "No conflicts in working tree."
-msgstr ""
-
-#: conflicts.py:115 conflicts.py:116 conflicts.py:117
-msgid "path conflict"
-msgstr ""
-
-#: conflicts.py:117 conflicts.py:118 conflicts.py:119
-msgid "contents conflict"
-msgstr ""
-
-#: conflicts.py:119 conflicts.py:120 conflicts.py:121
-msgid "text conflict"
-msgstr ""
-
-#: conflicts.py:121 conflicts.py:122 conflicts.py:123
-msgid "duplicate id"
-msgstr ""
-
-#: conflicts.py:123 conflicts.py:124 conflicts.py:125
-msgid "duplicate"
-msgstr ""
-
-#: conflicts.py:125 conflicts.py:126 conflicts.py:127
-msgid "parent loop"
-msgstr ""
-
-#: conflicts.py:127 conflicts.py:128 conflicts.py:129
-msgid "unversioned parent"
-msgstr ""
-
-#: conflicts.py:129 conflicts.py:130 conflicts.py:131
-msgid "missing parent"
-msgstr ""
-
-#: conflicts.py:131 conflicts.py:132 conflicts.py:133
-msgid "deleting parent"
-msgstr ""
-
-#: conflicts.py:133 conflicts.py:134 conflicts.py:135
-msgid "unknown type of conflict"
-msgstr ""
-
-#: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
-#: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
-#: conflicts.py:163 olive/__init__.py:687 olive/add.py:67 olive/menu.py:177
-#: olive/menu.py:190 olive/menu.py:217 olive/menu.py:253 olive/move.py:79
-#: olive/remove.py:67 olive/remove.py:129 olive/rename.py:70 conflicts.py:164
-#: olive/__init__.py:688 olive/add.py:68 olive/menu.py:178 olive/menu.py:191
-#: olive/menu.py:218 olive/menu.py:254 olive/move.py:80 olive/remove.py:68
-#: olive/remove.py:130 olive/rename.py:71
-msgid "No file was selected"
-msgstr ""
-
-#: conflicts.py:163 __init__.py:615 menu.py:192 conflicts.py:164
-#: olive/__init__.py:688 olive/menu.py:191 conflicts.py:165
-#: olive/__init__.py:689 olive/menu.py:192
-msgid "Please select a file from the list."
-msgstr ""
-
-#: conflicts.py:173 conflicts.py:174 conflicts.py:175
-msgid "Call to external utility failed"
-msgstr ""
-
-#: conflicts.py:175 conflicts.py:176 conflicts.py:177
-msgid "Cannot resolve conflict"
-msgstr ""
-
-#: conflicts.py:176 conflicts.py:177 conflicts.py:178
-msgid ""
-"Only conflicts on the text of files can be resolved with Olive at the "
-"moment. Content conflicts, on the structure of the tree, need to be resolved "
-"using the command line."
-msgstr ""
-
-#: errors.py:29 errors.py:31
-msgid "Directory is not a checkout"
-msgstr ""
-
-#: errors.py:30 errors.py:32
-msgid "You can perform local commit only on checkouts."
-msgstr ""
-
-#: errors.py:32 errors.py:34
-msgid "No changes to commit"
-msgstr ""
-
-#: errors.py:33 errors.py:35
-msgid "Try force commit if you want to commit anyway."
-msgstr ""
-
-#: errors.py:35 errors.py:37
-msgid "Conflicts in tree"
-msgstr ""
-
-#: errors.py:36 errors.py:38
-msgid "You need to resolve the conflicts before committing."
-msgstr ""
-
-#: errors.py:38 errors.py:40
-msgid "Strict commit failed"
-msgstr ""
-
-#: errors.py:39 errors.py:41
-msgid ""
-"There are unknown files in the working tree.\n"
-"Please add or delete them."
-msgstr ""
-
-#: errors.py:41 errors.py:43
-msgid "Bound branch is out of date"
-msgstr ""
-
-#: errors.py:42 errors.py:45
-#, python-format
-msgid "%s"
-msgstr ""
-
-#: errors.py:44 errors.py:47
-msgid "File not versioned"
-msgstr ""
-
-#: errors.py:45 errors.py:48
-msgid "The selected file is not versioned."
-msgstr ""
-
-#: errors.py:47 push.py:105 errors.py:50 push.py:106
-msgid "Branches have been diverged"
-msgstr ""
-
-#: errors.py:48 errors.py:51
-msgid ""
-"You cannot push if branches have diverged. Use the\n"
-"overwrite option if you want to push anyway."
-msgstr ""
-
-#: errors.py:50 errors.py:53
-msgid "No diff output"
-msgstr ""
-
-#: errors.py:51 errors.py:54
-msgid "The selected file hasn't changed."
-msgstr ""
-
-#: errors.py:53 errors.py:56
-msgid "No such revision"
-msgstr ""
-
-#: errors.py:54 errors.py:57
-msgid "The revision you specified doesn't exist."
-msgstr ""
-
-#: errors.py:56 errors.py:59
-msgid "Target already exists"
-msgstr ""
-
-#: errors.py:57 errors.py:60
-msgid "Target directory already exists. Please select another target."
-msgstr ""
-
-#: errors.py:59 errors.py:62
-msgid "Directory is already a branch"
-msgstr ""
-
-#: errors.py:60 errors.py:63
-#, python-format
-msgid ""
-"The current directory (%s) is already a branch.\n"
-"You can start using it, or initialize another directory."
-msgstr ""
-
-#: errors.py:62 errors.py:65
-msgid "Branch without a working tree"
-msgstr ""
-
-#: errors.py:63 errors.py:66
-#, python-format
-msgid ""
-"The current directory (%s)\n"
-"is a branch without a working tree."
-msgstr ""
-
-#: errors.py:65 errors.py:68
-msgid "Unknown bzr error"
-msgstr ""
-
-#: errors.py:67 errors.py:70
-msgid "Permission denied"
-msgstr ""
-
-#: errors.py:67 errors.py:70
-msgid "permission denied."
-msgstr ""
-
-#: errors.py:69 errors.py:72
-msgid "Unknown error"
-msgstr ""
-
-#: initialize.py:47 initialize.py:48
-msgid "_Initialize"
-msgstr ""
-
-#: initialize.py:48 initialize.py:49
-msgid "Which directory do you want to initialize?"
-msgstr ""
-
-#: initialize.py:49 initialize.py:50
-msgid "Current directory"
-msgstr ""
-
-#: initialize.py:50 initialize.py:51
-msgid "Create a new directory with the name:"
-msgstr ""
-
-#: initialize.py:85 initialize.py:86
-msgid "Directory name not specified"
-msgstr ""
-
-#: initialize.py:86 initialize.py:87
-msgid "You should specify a new directory name."
-msgstr ""
-
-#: merge.py:66 merge.py:68 merge.py:69
-msgid "Branch not given"
-msgstr ""
-
-#: merge.py:67 merge.py:69 merge.py:70
-msgid "Please specify a branch to merge from."
-msgstr ""
-
-#: merge.py:75 merge.py:77 merge.py:78
-msgid "Bazaar command error"
-msgstr ""
-
-#: merge.py:81 diff.py:513 merge.py:83 diff.py:514 merge.py:84
-msgid "Merge successful"
-msgstr ""
-
-#: merge.py:82 diff.py:514 merge.py:84 diff.py:515 merge.py:85
-msgid "All changes applied successfully."
-msgstr ""
-
-#: merge.py:85 diff.py:517 merge.py:87 diff.py:518 merge.py:88
-msgid "Conflicts encountered"
-msgstr ""
-
-#: merge.py:86 diff.py:518 merge.py:88 diff.py:519 merge.py:89
-msgid "Please resolve the conflicts manually before committing."
-msgstr ""
-
-#: push.py:52 bookmark.py:45 olive/bookmark.py:45 push.py:53
-#: olive/bookmark.py:46
-msgid "Location:"
-msgstr ""
-
-#: push.py:54 push.py:55
-msgid "_Push"
-msgstr ""
-
-#: push.py:97 push.py:98
-msgid "Set default push location"
-msgstr ""
-
-#: push.py:98 push.py:99
-#, python-format
-msgid ""
-"There is no default push location set.\n"
-"Set %r as default now?"
-msgstr ""
-
-#: push.py:106 push.py:107
-msgid ""
-"You cannot push if branches have diverged.\n"
-"Overwrite?"
-msgstr ""
-
-#: push.py:112 push.py:111
-msgid "Push successful"
-msgstr ""
-
-#: push.py:113 push.py:112
-#, python-format
-msgid "%d revision(s) pushed."
-msgstr ""
-
-#: push.py:146 push.py:145
-msgid "Non existing parent directory"
-msgstr ""
-
-#: push.py:147 push.py:146
-#, python-format
-msgid ""
-"The parent directory (%s)\n"
-"doesn't exist. Create?"
-msgstr ""
-
-#: revbrowser.py:45
-msgid "Please wait, revisions are being loaded..."
-msgstr ""
-
-#: revbrowser.py:48 revbrowser.py:44 revbrowser.py:45
-msgid "_Select"
-msgstr ""
-
-#: revbrowser.py:64
-msgid "Revno"
-msgstr ""
-
-#: revbrowser.py:70
-msgid "Time"
-msgstr ""
-
-#: status.py:78 status.py:82 status.py:84
-msgid "Added"
-msgstr ""
-
-#: status.py:84 status.py:88 status.py:90
-msgid "Removed"
-msgstr ""
-
-#: status.py:90 status.py:94 status.py:96
-msgid "Renamed"
-msgstr ""
-
-#: status.py:97 status.py:101 status.py:103
-msgid "Modified"
-msgstr ""
-
-#: status.py:105 status.py:109 status.py:111
-msgid "Unknown"
-msgstr ""
-
-#: status.py:110 status.py:114 status.py:116
-msgid "No changes."
-msgstr ""
-
-#: tags.py:67 tags.py:65 tags.py:66
-msgid "Tags"
-msgstr ""
-
-#: tags.py:111 tags.py:109 tags.py:110
-msgid "Tag Name"
-msgstr ""
-
-#: tags.py:116 tags.py:114 tags.py:115
-msgid "Revision ID"
-msgstr ""
-
-#: tags.py:151 tags.py:149 tags.py:150
-msgid "Tags are not supported by this branch format. Please upgrade."
-msgstr ""
-
-#: tags.py:157 tags.py:155 tags.py:156
-msgid "No tagged revisions in the branch."
-msgstr ""
-
-#: tags.py:232 tags.py:230 tags.py:231
-msgid "_Remove tag"
-msgstr ""
-
-#: tags.py:242 tags.py:240 tags.py:241
-msgid "<b><big>Remove tag?</big></b>"
-msgstr ""
-
-#: tags.py:244 tags.py:242 tags.py:243
-#, python-format
-msgid "Are you sure you want to remove the tag: <b>%s</b>?"
-msgstr ""
-
-#: tags.py:289 tags.py:287 tags.py:288
-msgid "_Add tag"
-msgstr ""
-
-#: tags.py:291 tags.py:289 tags.py:290
-msgid "Tag Name:"
-msgstr ""
-
-#: tags.py:292 tags.py:290 tags.py:291
-msgid "Revision ID:"
-msgstr ""
-
-#: tags.py:323 tags.py:321 tags.py:322
-msgid "No tag name specified"
-msgstr ""
-
-#: tags.py:324 tags.py:322 tags.py:323
-msgid "You have to specify the tag's desired name."
-msgstr ""
-
-#: __init__.py:512 olive/__init__.py:539 olive/__init__.py:540
-msgid "There are local changes in the branch"
-msgstr ""
-
-#: __init__.py:513 olive/__init__.py:540 olive/__init__.py:541
-msgid "Please commit or revert the changes before merging."
-msgstr ""
-
-#: __init__.py:525 __init__.py:550 olive/__init__.py:555 olive/__init__.py:612
-#: olive/__init__.py:556 olive/__init__.py:613
-msgid "Parent location is unknown"
-msgstr ""
-
-#: __init__.py:526 olive/__init__.py:556 olive/__init__.py:557
-msgid "Cannot determine missing revisions if no parent location is known."
-msgstr ""
-
-#: __init__.py:537 olive/__init__.py:599 olive/__init__.py:600
-msgid "There are missing revisions"
-msgstr ""
-
-#: __init__.py:538
-#, python-format
-msgid "%d revision(s) missing."
-msgstr ""
-
-#: __init__.py:540 olive/__init__.py:602 olive/__init__.py:603
-msgid "Local branch up to date"
-msgstr ""
-
-#: __init__.py:541 olive/__init__.py:603 olive/__init__.py:604
-msgid "There are no missing revisions."
-msgstr ""
-
-#: __init__.py:551 olive/__init__.py:613 olive/__init__.py:614
-msgid "Pulling is not possible until there is a parent location."
-msgstr ""
-
-#: __init__.py:561 olive/__init__.py:623 olive/__init__.py:624
-msgid "Pull successful"
-msgstr ""
-
-#: __init__.py:561 olive/__init__.py:623 olive/__init__.py:624
-#, python-format
-msgid "%d revision(s) pulled."
-msgstr ""
-
-#: __init__.py:575 menu.py:275 olive/__init__.py:648 olive/menu.py:274
-#: olive/__init__.py:649 olive/menu.py:275
-msgid "Conflicts detected"
-msgstr ""
-
-#: __init__.py:576 menu.py:276 olive/__init__.py:649 olive/menu.py:275
-#: olive/__init__.py:650 olive/menu.py:276
-msgid "Please have a look at the working tree before continuing."
-msgstr ""
-
-#: __init__.py:578 menu.py:278 olive/__init__.py:651 olive/menu.py:277
-#: olive/__init__.py:652 olive/menu.py:278
-msgid "Revert successful"
-msgstr ""
-
-#: __init__.py:579 menu.py:279 olive/__init__.py:652 olive/menu.py:278
-#: olive/__init__.py:653 olive/menu.py:279
-msgid "All files reverted to last revision."
-msgstr ""
-
-#: __init__.py:835 __init__.py:1117 olive/__init__.py:942
-#: olive/__init__.py:1240 olive/__init__.py:943 olive/__init__.py:1241
-msgid "Bookmarks"
-msgstr ""
-
-#: __init__.py:842 menu.py:99 olive/__init__.py:949 olive/menu.py:98
-#: olive/__init__.py:950 olive/menu.py:99
-msgid "Bookmark"
-msgstr ""
-
-#: __init__.py:944 __init__.py:1231 olive/__init__.py:1057
-#: olive/__init__.py:1362 olive/__init__.py:1058 olive/__init__.py:1363
-msgid "unchanged"
-msgstr ""
-
-#: __init__.py:946 __init__.py:1233 olive/__init__.py:1059
-#: olive/__init__.py:1364 olive/__init__.py:1060 olive/__init__.py:1365
-msgid "ignored"
-msgstr ""
-
-#: __init__.py:948 __init__.py:1235 olive/__init__.py:1061
-#: olive/__init__.py:1368 olive/__init__.py:1062 olive/__init__.py:1369
-msgid "unknown"
-msgstr ""
-
-#: __init__.py:964 olive/__init__.py:1083 olive/__init__.py:1084
-msgid "Filename"
-msgstr ""
-
-#: __init__.py:965 olive/__init__.py:1084 olive/__init__.py:1085
-msgid "Status"
-msgstr ""
-
-#: __init__.py:966 olive/__init__.py:1085 olive/__init__.py:1086
-msgid "Size"
-msgstr ""
-
-#: __init__.py:967 olive/__init__.py:1086 olive/__init__.py:1087
-msgid "Last modified"
-msgstr ""
-
-#: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-#: olive/add.py:68 olive/menu.py:178 olive/menu.py:218 olive/menu.py:254
-#: olive/remove.py:68 olive/remove.py:130 olive/add.py:69 olive/menu.py:179
-#: olive/menu.py:219 olive/menu.py:255 olive/remove.py:69 olive/remove.py:131
-msgid ""
-"Please select a file from the list,\n"
-"or choose the other option."
-msgstr ""
-
-#: bookmark.py:46 olive/bookmark.py:46 olive/bookmark.py:47
-msgid "Title:"
-msgstr ""
-
-#: bookmark.py:81 olive/bookmark.py:81 olive/bookmark.py:82
-msgid "No title given"
-msgstr ""
-
-#: bookmark.py:82 olive/bookmark.py:82 olive/bookmark.py:83
-msgid "Please specify a title to continue."
-msgstr ""
-
-#: guifiles.py:45 olive/guifiles.py:47 olive/guifiles.py:48
-msgid "Glade file cannot be found."
-msgstr ""
-
-#: guifiles.py:55 olive/guifiles.py:57 olive/guifiles.py:58
-msgid "UI description file cannot be found."
-msgstr ""
-
-#: menu.py:63 olive/menu.py:62 olive/menu.py:63
-msgid "Add"
-msgstr ""
-
-#: menu.py:64 olive/menu.py:63 olive/menu.py:64
-msgid "Add the selected file"
-msgstr ""
-
-#: menu.py:67 menu.py:107 olive/menu.py:66 olive/menu.py:106 olive/menu.py:67
-#: olive/menu.py:107
-msgid "Remove"
-msgstr ""
-
-#: menu.py:68 olive/menu.py:67 olive/menu.py:68
-msgid "Remove the selected file"
-msgstr ""
-
-#: menu.py:71 olive/menu.py:70 olive/menu.py:71
-msgid "Remove and delete"
-msgstr ""
-
-#: menu.py:72 olive/menu.py:71 olive/menu.py:72
-msgid "Remove the selected file/dir and delete from disk"
-msgstr ""
-
-#: menu.py:75 olive/menu.py:74 olive/menu.py:75
-msgid "Rename"
-msgstr ""
-
-#: menu.py:76 olive/menu.py:75 olive/menu.py:76
-msgid "Rename the selected file"
-msgstr ""
-
-#: menu.py:79 olive/menu.py:78 olive/menu.py:79
-msgid "Open"
-msgstr ""
-
-#: menu.py:80 olive/menu.py:79 olive/menu.py:80
-msgid "Open the selected file"
-msgstr ""
-
-#: menu.py:83 olive/menu.py:82 olive/menu.py:83
-msgid "Revert"
-msgstr ""
-
-#: menu.py:84 olive/menu.py:83 olive/menu.py:84
-msgid "Revert the changes"
-msgstr ""
-
-#: menu.py:88 olive/menu.py:87 olive/menu.py:88
-msgid "Commit the changes"
-msgstr ""
-
-#: menu.py:91 olive/menu.py:90 olive/menu.py:91
-msgid "Annotate"
-msgstr ""
-
-#: menu.py:92 olive/menu.py:91 olive/menu.py:92
-msgid "Annotate the selected file"
-msgstr ""
-
-#: menu.py:95 olive/menu.py:94 olive/menu.py:95
-msgid "Diff"
-msgstr ""
-
-#: menu.py:96 olive/menu.py:95 olive/menu.py:96
-msgid "Show the diff of the file"
-msgstr ""
-
-#: menu.py:100 olive/menu.py:99 olive/menu.py:100
-msgid "Bookmark current location"
-msgstr ""
-
-#: menu.py:103 olive/menu.py:102 olive/menu.py:103
-msgid "Edit"
-msgstr ""
-
-#: menu.py:104 olive/menu.py:103 olive/menu.py:104
-msgid "Edit the selected bookmark"
-msgstr ""
-
-#: menu.py:108 olive/menu.py:107 olive/menu.py:108
-msgid "Remove the selected bookmark"
-msgstr ""
-
-#: menu.py:111 olive/menu.py:110 olive/menu.py:111
-msgid "Open Folder"
-msgstr ""
-
-#: menu.py:112 olive/menu.py:111 olive/menu.py:112
-msgid "Open bookmark folder in Nautilus"
-msgstr ""
-
-#: menu.py:115 olive/menu.py:114 olive/menu.py:115
-msgid "Selected..."
-msgstr ""
-
-#: menu.py:116 olive/menu.py:115 olive/menu.py:116
-msgid "Show the differences of the selected file"
-msgstr ""
-
-#: menu.py:119 olive/menu.py:118 olive/menu.py:119
-msgid "All..."
-msgstr ""
-
-#: menu.py:120 olive/menu.py:119 olive/menu.py:120
-msgid "Show the differences of all files"
-msgstr ""
-
-#: menu.py:123 olive/menu.py:122 olive/menu.py:123
-msgid "View contents"
-msgstr ""
-
-#: menu.py:124 olive/menu.py:123 olive/menu.py:124
-msgid "View the contents of the file in a builtin viewer"
-msgstr ""
-
-#: menu.py:127 olive/menu.py:126 olive/menu.py:127
-msgid "Show differences"
-msgstr ""
-
-#: menu.py:128 olive/menu.py:127 olive/menu.py:128
-msgid "Show the differences between two revisions of the file"
-msgstr ""
-
-#: menu.py:131 olive/menu.py:130 olive/menu.py:131
-msgid "Revert to this revision"
-msgstr ""
-
-#: menu.py:132 olive/menu.py:131 olive/menu.py:132
-msgid "Revert the selected file to the selected revision"
-msgstr ""
-
-#: menu.py:228 olive/menu.py:227 olive/menu.py:228
-msgid "Delete directory with all directories below ?"
-msgstr ""
-
-#: menu.py:315 olive/__init__.py:707 olive/menu.py:318 olive/__init__.py:708
-#: olive/menu.py:319
-msgid "Bookmark successfully added"
-msgstr ""
-
-#: menu.py:316 olive/__init__.py:708 olive/menu.py:319 olive/__init__.py:709
-#: olive/menu.py:320
-msgid ""
-"The current directory was bookmarked. You can reach\n"
-"it by selecting it from the left panel."
-msgstr ""
-
-#: menu.py:319 olive/__init__.py:711 olive/menu.py:322 olive/__init__.py:712
-#: olive/menu.py:323
-msgid "Location already bookmarked"
-msgstr ""
-
-#: menu.py:320 olive/__init__.py:712 olive/menu.py:323 olive/__init__.py:713
-#: olive/menu.py:324
-msgid ""
-"The current directory is already bookmarked.\n"
-"See the left panel for reference."
-msgstr ""
-
-#: mkdir.py:67 olive/mkdir.py:67 olive/mkdir.py:68
-msgid "No directory name given"
-msgstr ""
-
-#: mkdir.py:68 olive/mkdir.py:68 olive/mkdir.py:69
-msgid "Please specify a desired name for the new directory."
-msgstr ""
-
-#: mkdir.py:79 mkdir.py:89 olive/mkdir.py:79 olive/mkdir.py:89
-#: olive/mkdir.py:80 olive/mkdir.py:90
-msgid "Directory already exists"
-msgstr ""
-
-#: mkdir.py:80 mkdir.py:90 olive/mkdir.py:80 olive/mkdir.py:90
-#: olive/mkdir.py:81 olive/mkdir.py:91
-msgid "Please specify another name to continue."
-msgstr ""
-
-#: move.py:80 rename.py:71 olive/move.py:80 olive/rename.py:71
-#: olive/move.py:81 olive/rename.py:72
-msgid "Please select a file from the list to proceed."
-msgstr ""
-
-#: move.py:89 rename.py:87 olive/move.py:89 olive/rename.py:87
-#: olive/move.py:90 olive/rename.py:88
-msgid "Not the same branch"
-msgstr ""
-
-#: move.py:90 rename.py:88 olive/move.py:90 olive/rename.py:88
-#: olive/move.py:91 olive/rename.py:89
-msgid "The destination is not in the same branch."
-msgstr ""
-
-#: remove.py:79 remove.py:139 olive/remove.py:79 olive/remove.py:139
-#: olive/remove.py:80 olive/remove.py:140
-msgid "No matching files"
-msgstr ""
-
-#: remove.py:80 remove.py:140 olive/remove.py:80 olive/remove.py:140
-#: olive/remove.py:81 olive/remove.py:141
-msgid "No added files were found in the working tree."
-msgstr ""
-
-#: remove.py:105 olive.glade:825 olive.glade:878 olive/remove.py:105
-#: olive/remove.py:106
-msgid "Which file(s) do you want to remove?"
-msgstr ""
-
-#: remove.py:106 olive.glade:717 olive.glade:837 olive.glade:766
-#: olive.glade:890 olive/remove.py:106 olive/remove.py:107
-msgid "Selected only"
-msgstr ""
-
-#: remove.py:107 olive.glade:851 olive.glade:905 olive/remove.py:107
-#: olive/remove.py:108
-msgid "All files with status 'added'"
-msgstr ""
-
-#: remove.py:108 olive.glade:905 olive.glade:962 olive/remove.py:108
-#: olive/remove.py:109
-msgid "_Remove"
-msgstr ""
-
-#: rename.py:75 olive/rename.py:75 olive/rename.py:76
-msgid "Filename not given"
-msgstr ""
-
-#: rename.py:76 olive/rename.py:76 olive/rename.py:77
-msgid "Please specify a new name for the file."
-msgstr ""
-
-#: olive.glade:8
-msgid "Olive - Bazaar GUI"
-msgstr ""
-
-#: olive.glade:21
-msgid "_File"
-msgstr ""
-
-#: olive.glade:28
-msgid "_Add file(s)..."
-msgstr ""
-
-#: olive.glade:43
-msgid "Remove file(s)..."
-msgstr ""
-
-#: olive.glade:63 olive.glade:71
-msgid "Make _directory..."
-msgstr ""
-
-#: olive.glade:76 olive.glade:84
-msgid "_Rename..."
-msgstr ""
-
-#: olive.glade:84 olive.glade:92
-msgid "_Move..."
-msgstr ""
-
-#: olive.glade:92 olive.glade:100
-msgid "_Annotate..."
-msgstr ""
-
-#: olive.glade:118 olive.glade:126
-msgid "_View"
-msgstr ""
-
-#: olive.glade:126 olive.glade:134
-msgid "Show _hidden files"
-msgstr ""
-
-#: olive.glade:139 olive.glade:155
-msgid "_Refresh"
-msgstr ""
-
-#: olive.glade:158 olive.glade:174
-msgid "_Initialize..."
-msgstr ""
-
-#: olive.glade:166 olive.glade:182
-msgid "_Get..."
-msgstr ""
-
-#: olive.glade:174 olive.glade:190
-msgid "C_heckout..."
-msgstr ""
-
-#: olive.glade:187 olive.glade:203
-msgid "Pu_ll"
-msgstr ""
-
-#: olive.glade:201 olive.glade:217
-msgid "Pu_sh..."
-msgstr ""
-
-#: olive.glade:220 olive.glade:245
-msgid "_Revert all changes"
-msgstr ""
-
-#: olive.glade:228 olive.glade:253
-msgid "_Merge..."
-msgstr ""
-
-#: olive.glade:236 olive.glade:261
-msgid "_Commit..."
-msgstr ""
-
-#: olive.glade:255 olive.glade:280
-msgid "Ta_gs..."
-msgstr ""
-
-#: olive.glade:263 olive.glade:288
-msgid "S_tatus..."
-msgstr ""
-
-#: olive.glade:271 olive.glade:296
-msgid "Missing _revisions"
-msgstr ""
-
-#: olive.glade:279 olive.glade:304
-msgid "Con_flicts..."
-msgstr ""
-
-#: olive.glade:291 olive.glade:316
-msgid "_Statistics"
-msgstr ""
-
-#: olive.glade:298 olive.glade:323
-msgid "_Differences..."
-msgstr ""
-
-#: olive.glade:312 olive.glade:337
-msgid "_Log..."
-msgstr ""
-
-#: olive.glade:326 olive.glade:351
-msgid "_Information..."
-msgstr ""
-
-#: olive.glade:338 olive.glade:363
-msgid "_Help"
-msgstr ""
-
-#: olive.glade:548 olive.glade:590
-msgid "gtk-jump-to"
-msgstr ""
-
-#: olive.glade:575 olive.glade:618
-msgid "H_istory Mode"
-msgstr ""
-
-#: olive.glade:673 olive.glade:722
-msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
-msgstr ""
-
-#: olive.glade:675 olive.glade:724
-msgid "https://launchpad.net/products/olive"
-msgstr ""
-
-#: olive.glade:677 olive.glade:726
-msgid "translator-credits"
-msgstr ""
-
-#: olive.glade:694 olive.glade:743
-msgid "Olive - Add file(s)"
-msgstr ""
-
-#: olive.glade:705 olive.glade:754
-msgid "Which file(s) do you want to add?"
-msgstr ""
-
-#: olive.glade:731 olive.glade:781
-msgid "All unknowns recursively"
-msgstr ""
-
-#: olive.glade:785 olive.glade:838
-msgid "_Add"
-msgstr ""
-
-#: olive.glade:814 olive.glade:867
-msgid "Olive - Remove file(s)"
-msgstr ""
-
-#: olive.glade:934 olive.glade:991
-msgid "Olive - Make directory"
-msgstr ""
-
-#: olive.glade:957 olive.glade:1014
-msgid "_Versioned directory"
-msgstr ""
-
-#: olive.glade:1011 olive.glade:1071
-msgid "_Make directory"
-msgstr ""
-
-#: olive.glade:1041 olive.glade:1101
-msgid "Olive - Move"
-msgstr ""
-
-#: olive.glade:1055 olive.glade:1115
-msgid "Move to"
-msgstr ""
-
-#: olive.glade:1066 olive.glade:1126
-msgid "Select a directory"
-msgstr ""
-
-#: olive.glade:1120 olive.glade:1182
-msgid "_Move"
-msgstr ""
-
-#: olive.glade:1148 olive.glade:1210
-msgid "Olive - Rename"
-msgstr ""
-
-#: olive.glade:1162 olive.glade:1224
-msgid "Rename to"
-msgstr ""
-
-#: olive.glade:1227 olive.glade:1291
-msgid "_Rename"
-msgstr ""
-
-#: olive.glade:1255 olive.glade:1319
-msgid "Olive - Information"
-msgstr ""
-
-#: olive.glade:1279 olive.glade:1292 olive.glade:1305 olive.glade:1318
-#: olive.glade:1331 olive.glade:1344 olive.glade:1357 olive.glade:1484
-#: olive.glade:1495 olive.glade:1564 olive.glade:1575 olive.glade:1588
-#: olive.glade:1601 olive.glade:1694 olive.glade:1705 olive.glade:1718
-#: olive.glade:1799 olive.glade:1810 olive.glade:1879 olive.glade:1890
-#: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
-#: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
-#: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275 olive.glade:1343 olive.glade:1356 olive.glade:1369
-#: olive.glade:1382 olive.glade:1395 olive.glade:1408 olive.glade:1421
-#: olive.glade:1548 olive.glade:1559 olive.glade:1628 olive.glade:1639
-#: olive.glade:1652 olive.glade:1665 olive.glade:1758 olive.glade:1769
-#: olive.glade:1782 olive.glade:1863 olive.glade:1874 olive.glade:1943
-#: olive.glade:1954 olive.glade:1967 olive.glade:1980 olive.glade:1993
-#: olive.glade:2006 olive.glade:2019 olive.glade:2032 olive.glade:2173
-#: olive.glade:2184 olive.glade:2197 olive.glade:2210 olive.glade:2223
-#: olive.glade:2328 olive.glade:2339
-msgid "(none)"
-msgstr ""
-
-#: olive.glade:1368 olive.glade:1432
-msgid "Checkout root: "
-msgstr ""
-
-#: olive.glade:1380 olive.glade:1444
-msgid "Branch root: "
-msgstr ""
-
-#: olive.glade:1392 olive.glade:1456
-msgid "Repository checkout: "
-msgstr ""
-
-#: olive.glade:1404 olive.glade:1468
-msgid "Checkout of branch: "
-msgstr ""
-
-#: olive.glade:1416 olive.glade:1480
-msgid "Repository branch: "
-msgstr ""
-
-#: olive.glade:1428 olive.glade:1492
-msgid "Shared repository: "
-msgstr ""
-
-#: olive.glade:1440 olive.glade:1504
-msgid "Light checkout root: "
-msgstr ""
-
-#: olive.glade:1454 olive.glade:1518
-msgid "<b>Location:</b>"
-msgstr ""
-
-#: olive.glade:1508 olive.glade:1572
-msgid "Publish to branch: "
-msgstr ""
-
-#: olive.glade:1520 olive.glade:1584
-msgid "Parent branch: "
-msgstr ""
-
-#: olive.glade:1534 olive.glade:1598
-msgid "<b>Related branches:</b>"
-msgstr ""
-
-#: olive.glade:1614 olive.glade:1678
-msgid "Repository format: "
-msgstr ""
-
-#: olive.glade:1626 olive.glade:1690
-msgid "Branch format: "
-msgstr ""
-
-#: olive.glade:1638 olive.glade:1702
-msgid "Working tree format: "
-msgstr ""
-
-#: olive.glade:1650 olive.glade:1714
-msgid "Control format: "
-msgstr ""
-
-#: olive.glade:1664 olive.glade:1728
-msgid "<b>Format:</b>"
-msgstr ""
-
-#: olive.glade:1731 olive.glade:1795
-msgid "Repository lock status: "
-msgstr ""
-
-#: olive.glade:1743 olive.glade:1807
-msgid "Branch lock status: "
-msgstr ""
-
-#: olive.glade:1755 olive.glade:1819
-msgid "Working tree lock status: "
-msgstr ""
-
-#: olive.glade:1769 olive.glade:1833
-msgid "<b>Lock status:</b>"
-msgstr ""
-
-#: olive.glade:1823 olive.glade:1887
-msgid "Missing revisions in branch: "
-msgstr ""
-
-#: olive.glade:1835 olive.glade:1899
-msgid "Missing revisions in working tree: "
-msgstr ""
-
-#: olive.glade:1849 olive.glade:1913
-msgid "<b>Missing revisions:</b>"
-msgstr ""
-
-#: olive.glade:1981 olive.glade:2045
-msgid "Versioned subdirectories: "
-msgstr ""
-
-#: olive.glade:1993 olive.glade:2057
-msgid "Ignored files: "
-msgstr ""
-
-#: olive.glade:2005 olive.glade:2069
-msgid "Unknown files: "
-msgstr ""
-
-#: olive.glade:2017 olive.glade:2081
-msgid "Renamed files: "
-msgstr ""
-
-#: olive.glade:2029 olive.glade:2093
-msgid "Removed files: "
-msgstr ""
-
-#: olive.glade:2041 olive.glade:2105
-msgid "Added files: "
-msgstr ""
-
-#: olive.glade:2053 olive.glade:2117
-msgid "Modified files: "
-msgstr ""
-
-#: olive.glade:2065 olive.glade:2129
-msgid "Unchanged files: "
-msgstr ""
-
-#: olive.glade:2079 olive.glade:2143
-msgid "<b>In the working tree:</b>"
-msgstr ""
-
-#: olive.glade:2172 olive.glade:2236
-msgid "Time of last revision: "
-msgstr ""
-
-#: olive.glade:2184 olive.glade:2248
-msgid "Time of first revision: "
-msgstr ""
-
-#: olive.glade:2196 olive.glade:2260
-msgid "Age of branch in days: "
-msgstr ""
-
-#: olive.glade:2208 olive.glade:2272
-msgid "Number of commiters: "
-msgstr ""
-
-#: olive.glade:2220 olive.glade:2284
-msgid "Revisions in branch: "
-msgstr ""
-
-#: olive.glade:2234 olive.glade:2298
-msgid "<b>Branch history:</b>"
-msgstr ""
-
-#: olive.glade:2288 olive.glade:2352
-msgid "Size of repository: "
-msgstr ""
-
-#: olive.glade:2300 olive.glade:2364
-msgid "Revisions in repository: "
-msgstr ""
-
-#: olive.glade:2314 olive.glade:2378
-msgid "<b>Revision store:</b>"
-msgstr ""
-
-#: olive.glade:2356 olive.glade:2421
-msgid "Merge - Olive"
-msgstr ""
-
-#: olive.glade:2370 olive.glade:2435
-msgid "Merge from:"
-msgstr ""
-
-#: olive.glade:2454 olive.glade:2522
-msgid "_Merge"
-msgstr ""
-
-#: olive.glade:63
-msgid "_Bookmark current directory"
-msgstr ""
-
-#: olive.glade:142
-msgid "Show _ignored files"
-msgstr ""
-
-#: olive.glade:232 olive.glade:486
-msgid "Update"
-msgstr ""
-
-#: commit.py:172 commit.py:173
-msgid "kind changed"
-msgstr ""
-
-#: commit.py:260 commit.py:261
-msgid "<b>Commit Message</b>"
-msgstr ""
-
-#: commit.py:363 commit.py:364
-msgid "Files"
-msgstr ""
-
-#: commit.py:368 commit.py:369
-msgid "Commit all changes"
-msgstr ""
-
-#: commit.py:374 commit.py:375
-msgid "Only commit selected changes"
-msgstr ""
-
-#: commit.py:380 commit.py:381
-msgid "Commit all changes*"
-msgstr ""
-
-#: commit.py:413 commit.py:414
-msgid "Commit*"
-msgstr ""
-
-#: commit.py:454 commit.py:455
-msgid "<i>* Cannot select specific files when merging</i>"
-msgstr ""
-
-#: commit.py:458 commit.py:459
-msgid "Pending Revisions"
-msgstr ""
-
-#: commit.py:494 commit.py:495
-msgid "Diff for whole tree"
-msgstr ""
-
-#: commit.py:518 commit.py:599 commit.py:519 commit.py:601
-msgid "File commit message"
-msgstr ""
-
-#: commit.py:525 commit.py:526
-msgid "Global Commit Message"
-msgstr ""
-
-#: commit.py:526 commit.py:528
-msgid "<b>Global Commit Message</b>"
-msgstr ""
-
-#: commit.py:552 commit.py:554
-msgid "Diff for "
-msgstr ""
-
-#: commit.py:605 commit.py:607
-msgid "Commit message for "
-msgstr ""
-
-#: commit.py:690 commit.py:692
-msgid "There are no changes in the working tree. Do you want to commit anyway?"
-msgstr ""
-
-#: branchview/treeview.py:400 branchview/treeview.py:402
-msgid "Please wait, loading ancestral graph..."
-msgstr ""
-
-#: olive/__init__.py:71 olive/__init__.py:72
-msgid "Lead Developer:"
-msgstr ""
-
-#: olive/__init__.py:73 olive/__init__.py:74
-msgid "Contributors:"
-msgstr ""
-
-#: olive/__init__.py:578 olive/__init__.py:579
-#, python-format
-msgid "%d local extra revision(s). \n"
-msgstr ""
-
-#: olive/__init__.py:590 olive/__init__.py:591
-#, python-format
-msgid "%d local missing revision(s).\n"
-msgstr ""
-
-#: olive/__init__.py:632 olive/__init__.py:633
-msgid "Update successful but conflicts generated"
-msgstr ""
-
-#: olive/__init__.py:632 olive/__init__.py:633
-#, python-format
-msgid "Number of conflicts generated: %d."
-msgstr ""
-
-#: olive/__init__.py:634 olive/__init__.py:635
-msgid "Update successful"
-msgstr ""
-
-#: olive/__init__.py:634 olive/__init__.py:635
-msgid "No conflicts generated."
-msgstr ""

=== modified file 'preferences/__init__.py'
--- preferences/__init__.py	2008-10-28 16:02:01 +0000
+++ preferences/__init__.py	2011-02-18 13:01:03 +0000
@@ -23,9 +23,9 @@
 import gtk
 
 from bzrlib.config import GlobalConfig
-from identity import IdentityPage
-from plugins import PluginsPage
-from notifications import NotificationsPage
+from bzrlib.plugins.gtk.preferences.identity import IdentityPage
+from bzrlib.plugins.gtk.preferences.plugins import PluginsPage
+from bzrlib.plugins.gtk.preferences.notifications import NotificationsPage
 
 class PreferencesWindow(gtk.Dialog):
     """Displays global preferences windows."""

=== modified file 'preferences/identity.py'
--- preferences/identity.py	2008-10-25 06:02:09 +0000
+++ preferences/identity.py	2011-02-18 13:01:03 +0000
@@ -23,6 +23,7 @@
 import gtk
 
 class IdentityPage(gtk.Table):
+
     def __init__(self, config):
         self.config = config
         gtk.Table.__init__(self, rows=4, columns=2)

=== modified file 'preferences/notifications.py'
--- preferences/notifications.py	2008-10-30 13:48:44 +0000
+++ preferences/notifications.py	2011-02-18 13:01:03 +0000
@@ -33,11 +33,12 @@
 
 
 class NotificationsPage(gtk.VBox):
+
     def __init__(self, config, homogeneous=False, spacing=6):
         self.config = config
         gtk.VBox.__init__(self, homogeneous=homogeneous, spacing=spacing)
         self.set_spacing(spacing) # The vertical one
-        
+
         lan_frame = gtk.Frame("LAN Notifications")
 
         lan_vbox = gtk.VBox()
@@ -67,12 +68,12 @@
         self.pack_start(email_frame)
 
         cia_frame = gtk.Frame("CIA notifications")
-        
+
         cia_user_hbox = gtk.HBox()
         cia_user_hbox.pack_start(gtk.Label("Author name"))
         self.cia_user = gtk.Entry()
         cia_user_hbox.pack_start(self.cia_user)
-    
+
         cia_frame.add(cia_user_hbox)
         cia_frame.set_sensitive(has_cia())
 

=== modified file 'preferences/plugins.py'
--- preferences/plugins.py	2008-10-25 06:02:09 +0000
+++ preferences/plugins.py	2011-02-18 13:01:03 +0000
@@ -23,6 +23,7 @@
 import gtk
 
 class PluginsPage(gtk.VPaned):
+
     def __init__(self):
         gtk.VPaned.__init__(self)
         self.set_border_width(12)
@@ -56,14 +57,14 @@
         column.pack_start(cell, expand=True)
         column.add_attribute(cell, "text", 1)
         treeview.append_column(column)
-        
+
         import bzrlib.plugin
         plugins = bzrlib.plugin.plugins()
         plugin_names = plugins.keys()
         plugin_names.sort()
         for name in plugin_names:
             self.model.append([name, getattr(plugins[name], '__file__', None)])
-                 
+
         scrolledwindow = gtk.ScrolledWindow()
         scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
         scrolledwindow.add_with_viewport(self.table)

=== modified file 'revisionview.py'
--- revisionview.py	2009-06-10 18:07:35 +0000
+++ revisionview.py	2009-12-09 13:27:53 +0000
@@ -51,13 +51,15 @@
             webbrowser._tryorder.insert(0, '%s "%%s"' % cmd)
     webbrowser.open(uri)
 
-gtk.link_button_set_uri_hook(_open_link)
+if getattr(gtk, 'link_button_set_uri_hook', None) is not None:
+    # Not available before PyGtk-2.10
+    gtk.link_button_set_uri_hook(_open_link)
 
 class BugsTab(gtk.VBox):
 
     def __init__(self):
         super(BugsTab, self).__init__(False, 6)
-    
+
         table = gtk.Table(rows=2, columns=2)
 
         table.set_row_spacings(6)

=== modified file 'setup.py'
--- setup.py	2010-08-21 09:39:27 +0000
+++ setup.py	2011-03-06 08:24:07 +0000
@@ -6,7 +6,19 @@
 from distutils.core import setup, Command
 from distutils.command.install_data import install_data
 from distutils.command.build import build
+from distutils.command.sdist import sdist
 from DistUtilsExtra.command import *
+try:
+    from DistUtilsExtra.command import *
+except ImportError:
+   # Python distutils extra is not available.
+    class cmd_build_i18n(Command):
+        def run(self):
+            print >> sys.stderr, "For internationalization support you'll need to install https://launchpad.net/python-distutils-extra"
+else:
+    # Use build_i18n from DistUtilsExtra
+    cmd_build_i18n = build_i18n.build_i18n
+
 import os
 import sys
 
@@ -26,11 +38,13 @@
 
     def run(self):
         from bzrlib.tests import TestLoader, TestSuite, TextTestRunner
-        import __init__ as bzrgtk
+        from bzrlib.plugin import PluginImporter
+        PluginImporter.specific_paths["bzrlib.plugins.gtk"] = os.path.dirname(__file__)
+        from bzrlib.plugins.gtk.tests import load_tests
+        suite = TestSuite()
+        loader = TestLoader()
+        load_tests(suite, None, loader)
         runner = TextTestRunner()
-        loader = TestLoader()
-        suite = TestSuite()
-        suite.addTest(bzrgtk.test_suite())
         result = runner.run(suite)
         return result.wasSuccessful()
 
@@ -78,6 +92,11 @@
     sub_commands.append(('build_credits', is_versioned))
 
 
+class SourceDist(sdist):
+    sub_commands = sdist.sub_commands[:]
+    sub_commands.append(('build_credits', is_versioned))
+
+
 class InstallData(install_data):
 
     def run(self):
@@ -151,8 +170,14 @@
                                              'icons/tag-16.png',
                                              'icons/bug.png',
                                              'icons/bzr-icon-64.png']),
+                    # In case Python distutils extra is not available,
+                    # install the .desktop files
+                    ('share/applications', ['bazaar-properties.desktop',
+                                            'bzr-handle-patch.desktop',
+                                            'bzr-notify.desktop']),
                     ('share/application-registry', ['bzr-gtk.applications']),
                     ('share/pixmaps', ['icons/bzr-icon-64.png']),
+                    ('share/icons/hicolor/scalable/apps', ['icons/bzr-panel.svg']),
                     ('share/icons/hicolor/scalable/emblems',
                      ['icons/emblem-bzr-added.svg',
                       'icons/emblem-bzr-conflict.svg',
@@ -164,6 +189,7 @@
         cmdclass={'install_data': InstallData,
                   'build_credits': CreateCredits,
                   'build': BuildData,
-                  'build_i18n': build_i18n.build_i18n,
+                  'build_i18n': cmd_build_i18n,
+                  'sdist': SourceDist,
                   'check': Check}
         )

=== modified file 'tests/__init__.py'
--- tests/__init__.py	2010-05-29 23:42:20 +0000
+++ tests/__init__.py	2011-02-18 13:01:03 +0000
@@ -14,7 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-from bzrlib import tests
 
 def load_tests(basic_tests, module, loader):
     testmod_names = [

=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2009-12-02 11:12:51 +0000
+++ tests/test_commit.py	2011-02-18 13:01:03 +0000
@@ -22,7 +22,6 @@
 
 from bzrlib import (
     branch,
-    revision,
     tests,
     uncommit,
     )

=== modified file 'tests/test_diff.py'
--- tests/test_diff.py	2008-10-22 07:56:53 +0000
+++ tests/test_diff.py	2011-02-18 13:01:03 +0000
@@ -102,6 +102,7 @@
 
 
 class MockWindow(object):
+
     def __init__(self):
         self.diff = MockDiffWidget()
         self.merge_successful = False

=== modified file 'tests/test_history.py'
--- tests/test_history.py	2007-03-09 17:47:28 +0000
+++ tests/test_history.py	2011-02-18 13:01:03 +0000
@@ -14,12 +14,14 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
+from bzrlib import config
 from bzrlib.tests import TestCaseInTempDir
+
 from bzrlib.plugins.gtk.history import UrlHistory
 
-from bzrlib import config
 
 class TestsUrlHistory(TestCaseInTempDir):
+
     def setUp(self):
         super(TestsUrlHistory, self).setUp()
         self.config = config.GlobalConfig()

=== modified file 'tests/test_linegraph.py'
--- tests/test_linegraph.py	2009-06-09 14:51:48 +0000
+++ tests/test_linegraph.py	2011-02-18 13:01:03 +0000
@@ -16,12 +16,8 @@
 
 """Test the linegraph functionality."""
 
-import os
-
-import gtk
-
 from bzrlib import (
-	graph,
+    graph,
     tests,
     )
 
@@ -29,12 +25,13 @@
 
 
 class TestLinegraph(tests.TestCase):
-	def get_graph(self, dict):
-		return graph.Graph(graph.DictParentsProvider(dict))
-
-	def test_simple(self):
-		lg = linegraph(self.get_graph({"A": ("B", "C"), "B": ()}), ["A"])
-		self.assertEquals(lg,  
+
+    def get_graph(self, dict):
+        return graph.Graph(graph.DictParentsProvider(dict))
+
+    def test_simple(self):
+        lg = linegraph(self.get_graph({"A": ("B", "C"), "B": ()}), ["A"])
+        self.assertEquals(lg,  
             ([
                ['A', (0, 0), [(0, 0, 0)], ['B'], [], (2,)],
                ['B', (0, 0), [], (), ['A'], (1,)]

=== modified file 'tests/test_revisionview.py'
--- tests/test_revisionview.py	2009-06-10 18:07:35 +0000
+++ tests/test_revisionview.py	2011-02-18 13:01:03 +0000
@@ -16,13 +16,8 @@
 
 """Test the RevisionView functionality."""
 
-import os
-
-import gtk
-
 from bzrlib import (
     tests,
-    revision,
     )
 try:
     from bzrlib import bencode

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2009-05-25 15:57:23 +0000
+++ viz/branchwin.py	2011-02-18 13:01:03 +0000
@@ -1,27 +1,23 @@
-# -*- coding: UTF-8 -*-
 """Branch window.
 
 This module contains the code to manage the branch information window,
 which contains both the revision graph and details panes.
 """
 
-__copyright__ = "Copyright © 2005 Canonical Ltd."
+__copyright__ = "Copyright (c) 2005 Canonical Ltd."
 __author__    = "Scott James Remnant <scott@ubuntu.com>"
 
 
 import gtk
-import gobject
-import pango
 
 from bzrlib.plugins.gtk import icon_path
-from bzrlib.plugins.gtk.branchview import TreeView, treemodel
-from bzrlib.plugins.gtk.tags import AddTagDialog
+from bzrlib.plugins.gtk.branchview import TreeView
 from bzrlib.plugins.gtk.preferences import PreferencesWindow
 from bzrlib.plugins.gtk.revisionmenu import RevisionMenu
 from bzrlib.plugins.gtk.window import Window
 
-from bzrlib.config import BranchConfig, GlobalConfig
-from bzrlib.revision import Revision, NULL_REVISION
+from bzrlib.config import GlobalConfig
+from bzrlib.revision import NULL_REVISION
 from bzrlib.trace import mutter
 
 class BranchWindow(Window):
@@ -80,7 +76,9 @@
         self.accel_group = gtk.AccelGroup()
         self.add_accel_group(self.accel_group)
 
-        gtk.Action.set_tool_item_type(gtk.MenuToolButton)
+        if getattr(gtk.Action, 'set_tool_item_type', None) is not None:
+            # Not available before PyGtk-2.10
+            gtk.Action.set_tool_item_type(gtk.MenuToolButton)
 
         self.prev_rev_action = gtk.Action("prev-rev", "_Previous Revision", "Go to the previous revision", gtk.STOCK_GO_DOWN)
         self.prev_rev_action.set_accel_path("<viz>/Go/Previous Revision")
@@ -139,7 +137,7 @@
 
         self.treeview.connect('tag-added', lambda w, t, r: self._update_tags())
         vbox.show()
-    
+
     def construct_menubar(self):
         menubar = gtk.MenuBar()
 
@@ -149,10 +147,10 @@
 
         file_menu_close = gtk.ImageMenuItem(gtk.STOCK_CLOSE, self.accel_group)
         file_menu_close.connect('activate', lambda x: self.destroy())
-        
+
         file_menu_quit = gtk.ImageMenuItem(gtk.STOCK_QUIT, self.accel_group)
         file_menu_quit.connect('activate', lambda x: gtk.main_quit())
-        
+
         if self._parent is not None:
             file_menu.add(file_menu_close)
         file_menu.add(file_menu_quit)
@@ -190,25 +188,25 @@
         view_menu_compact = gtk.CheckMenuItem("Show Compact Graph")
         view_menu_compact.set_active(self.compact_view)
         view_menu_compact.connect('activate', self._brokenlines_toggled_cb)
-        
+
         view_menu_diffs = gtk.CheckMenuItem("Show Diffs")
         view_menu_diffs.set_active(False)
         if self.config.get_user_option('viz-show-diffs') == 'True':
             view_menu_diffs.set_active(True)
         view_menu_diffs.connect('toggled', self._diff_visibility_changed)
-        
+
         view_menu_wide_diffs = gtk.CheckMenuItem("Wide Diffs")
         view_menu_wide_diffs.set_active(False)
         if self.config.get_user_option('viz-wide-diffs') == 'True':
             view_menu_wide_diffs.set_active(True)
         view_menu_wide_diffs.connect('toggled', self._diff_placement_changed)
-        
+
         view_menu_wrap_diffs = gtk.CheckMenuItem("Wrap _Long Lines in Diffs")
         view_menu_wrap_diffs.set_active(False)
         if self.config.get_user_option('viz-wrap-diffs') == 'True':
             view_menu_wrap_diffs.set_active(True)
         view_menu_wrap_diffs.connect('toggled', self._diff_wrap_changed)
-                
+
         view_menu.add(view_menu_toolbar)
         view_menu.add(view_menu_compact)
         view_menu.add(gtk.SeparatorMenuItem())
@@ -235,7 +233,7 @@
         go_menu.set_accel_group(self.accel_group)
         go_menuitem = gtk.MenuItem("_Go")
         go_menuitem.set_submenu(go_menu)
-        
+
         go_menu_next = self.next_rev_action.create_menu_item()
         go_menu_prev = self.prev_rev_action.create_menu_item()
 
@@ -413,7 +411,8 @@
                 self.prev_rev_action.set_sensitive(False)
                 prev_menu.hide()
 
-            self.prev_button.set_menu(prev_menu)
+            if getattr(self.prev_button, 'set_menu', None) is not None:
+		self.prev_button.set_menu(prev_menu)
 
             next_menu = gtk.Menu()
             if len(children) > 0:
@@ -433,7 +432,8 @@
                 self.next_rev_action.set_sensitive(False)
                 next_menu.hide()
 
-            self.next_button.set_menu(next_menu)
+            if getattr(self.next_button, 'set_menu', None) is not None:
+		self.next_button.set_menu(next_menu)
 
             self.revisionview.set_revision(revision)
             self.revisionview.set_children(children)
@@ -452,11 +452,11 @@
 
         self.show_diff(revision.revision_id, parent_id)
         self.treeview.grab_focus()
-        
+
     def _back_clicked_cb(self, *args):
         """Callback for when the back button is clicked."""
         self.treeview.back()
-        
+
     def _fwd_clicked_cb(self, *args):
         """Callback for when the forward button is clicked."""
         self.treeview.forward()
@@ -510,7 +510,7 @@
                 return
 
         dialog = SearchDialog(index)
-        
+
         if dialog.run() == gtk.RESPONSE_OK:
             self.set_revision(dialog.get_revision())
 
@@ -518,7 +518,6 @@
 
     def _about_dialog_cb(self, w):
         from bzrlib.plugins.gtk.about import AboutDialog
-
         AboutDialog().run()
 
     def _col_visibility_changed(self, col, property):
@@ -559,16 +558,11 @@
         self._make_diff_nonzero_size()
 
         self.treeview.emit('revision-selected')
-    
+
     def _diff_wrap_changed(self, widget):
         """Toggle word wrap in the diff widget."""
         self.config.set_user_option('viz-wrap-diffs', widget.get_active())
         self.diff._on_wraplines_toggled(widget)
-    
-    def _show_about_cb(self, w):
-        dialog = AboutDialog()
-        dialog.connect('response', lambda d,r: d.destroy())
-        dialog.run()
 
     def _refresh_clicked(self, w):
         self.treeview.refresh()

